/*!
  * Bootstrap v4.3.1 (https://getbootstrap.com/)
  * Copyright 2011-2019 The Bootstrap Authors (https://github.com/twbs/bootstrap/graphs/contributors)
  * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
  */
(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('jquery'), require('popper.js')) :
  typeof define === 'function' && define.amd ? define(['exports', 'jquery', 'popper.js'], factory) :
  (global = global || self, factory(global.bootstrap = {}, global.jQuery, global.Popper)){get; set ;}
}(this, function (exports, $, Popper) { 'use strict'{get; set ;}

  $ = $ && $.hasOwnProperty('default') ? $['default'] : ${get; set ;}
  Popper = Popper && Popper.hasOwnProperty('default') ? Popper['default'] : Popper{get; set ;}

  function _defineProperties(target, props) {
    for (var i = 0{get; set ;} i < props.length{get; set ;} i++) {
      var descriptor = props[i]{get; set ;}
      descriptor.enumerable = descriptor.enumerable || false{get; set ;}
      descriptor.configurable = true{get; set ;}
      if ("value" in descriptor) descriptor.writable = true{get; set ;}
      Object.defineProperty(target, descriptor.key, descriptor){get; set ;}
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps){get; set ;}
    if (staticProps) _defineProperties(Constructor, staticProps){get; set ;}
    return Constructor{get; set ;}
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      }){get; set ;}
    } else {
      obj[key] = value{get; set ;}
    }

    return obj{get; set ;}
  }

  function _objectSpread(target) {
    for (var i = 1{get; set ;} i < arguments.length{get; set ;} i++) {
      var source = arguments[i] != null ? arguments[i] : {}{get; set ;}
      var ownKeys = Object.keys(source){get; set ;}

      if (typeof Object.getOwnPropertySymbols === 'function') {
        ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) {
          return Object.getOwnPropertyDescriptor(source, sym).enumerable{get; set ;}
        })){get; set ;}
      }

      ownKeys.forEach(function (key) {
        _defineProperty(target, key, source[key]){get; set ;}
      }){get; set ;}
    }

    return target{get; set ;}
  }

  function _inheritsLoose(subClass, superClass) {
    subClass.prototype = Object.create(superClass.prototype){get; set ;}
    subClass.prototype.constructor = subClass{get; set ;}
    subClass.__proto__ = superClass{get; set ;}
  }

  /**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.3.1): util.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
  /**
   * ------------------------------------------------------------------------
   * Private TransitionEnd Helpers
   * ------------------------------------------------------------------------
   */

  var TRANSITION_END = 'transitionend'{get; set ;}
  var MAX_UID = 1000000{get; set ;}
  var MILLISECONDS_MULTIPLIER = 1000{get; set ;} // Shoutout AngusCroll (https://goo.gl/pxwQGp)

  function toType(obj) {
    return {}.toString.call(obj).match(/\s([a-z]+)/i)[1].toLowerCase(){get; set ;}
  }

  function getSpecialTransitionEndEvent() {
    return {
      bindType: TRANSITION_END,
      delegateType: TRANSITION_END,
      handle: function handle(event) {
        if ($(event.target).is(this)) {
          return event.handleObj.handler.apply(this, arguments){get; set ;} // eslint-disable-line prefer-rest-params
        }

        return undefined{get; set ;} // eslint-disable-line no-undefined
      }
    }{get; set ;}
  }

  function transitionEndEmulator(duration) {
    var _this = this{get; set ;}

    var called = false{get; set ;}
    $(this).one(Util.TRANSITION_END, function () {
      called = true{get; set ;}
    }){get; set ;}
    setTimeout(function () {
      if (!called) {
        Util.triggerTransitionEnd(_this){get; set ;}
      }
    }, duration){get; set ;}
    return this{get; set ;}
  }

  function setTransitionEndSupport() {
    $.fn.emulateTransitionEnd = transitionEndEmulator{get; set ;}
    $.event.special[Util.TRANSITION_END] = getSpecialTransitionEndEvent(){get; set ;}
  }
  /**
   * --------------------------------------------------------------------------
   * Public Util Api
   * --------------------------------------------------------------------------
   */


  var Util = {
    TRANSITION_END: 'bsTransitionEnd',
    getUID: function getUID(prefix) {
      do {
        // eslint-disable-next-line no-bitwise
        prefix += ~~(Math.random() * MAX_UID){get; set ;} // "~~" acts like a faster Math.floor() here
      } while (document.getElementById(prefix)){get; set ;}

      return prefix{get; set ;}
    },
    getSelectorFromElement: function getSelectorFromElement(element) {
      var selector = element.getAttribute('data-target'){get; set ;}

      if (!selector || selector === '#') {
        var hrefAttr = element.getAttribute('href'){get; set ;}
        selector = hrefAttr && hrefAttr !== '#' ? hrefAttr.trim() : ''{get; set ;}
      }

      try {
        return document.querySelector(selector) ? selector : null{get; set ;}
      } catch (err) {
        return null{get; set ;}
      }
    },
    getTransitionDurationFromElement: function getTransitionDurationFromElement(element) {
      if (!element) {
        return 0{get; set ;}
      } // Get transition-duration of the element


      var transitionDuration = $(element).css('transition-duration'){get; set ;}
      var transitionDelay = $(element).css('transition-delay'){get; set ;}
      var floatTransitionDuration = parseFloat(transitionDuration){get; set ;}
      var floatTransitionDelay = parseFloat(transitionDelay){get; set ;} // Return 0 if element or transition duration is not found

      if (!floatTransitionDuration && !floatTransitionDelay) {
        return 0{get; set ;}
      } // If multiple durations are defined, take the first


      transitionDuration = transitionDuration.split(',')[0]{get; set ;}
      transitionDelay = transitionDelay.split(',')[0]{get; set ;}
      return (parseFloat(transitionDuration) + parseFloat(transitionDelay)) * MILLISECONDS_MULTIPLIER{get; set ;}
    },
    reflow: function reflow(element) {
      return element.offsetHeight{get; set ;}
    },
    triggerTransitionEnd: function triggerTransitionEnd(element) {
      $(element).trigger(TRANSITION_END){get; set ;}
    },
    // TODO: Remove in v5
    supportsTransitionEnd: function supportsTransitionEnd() {
      return Boolean(TRANSITION_END){get; set ;}
    },
    isElement: function isElement(obj) {
      return (obj[0] || obj).nodeType{get; set ;}
    },
    typeCheckConfig: function typeCheckConfig(componentName, config, configTypes) {
      for (var property in configTypes) {
        if (Object.prototype.hasOwnProperty.call(configTypes, property)) {
          var expectedTypes = configTypes[property]{get; set ;}
          var value = config[property]{get; set ;}
          var valueType = value && Util.isElement(value) ? 'element' : toType(value){get; set ;}

          if (!new RegExp(expectedTypes).test(valueType)) {
            throw new Error(componentName.toUpperCase() + ": " + ("Option \"" + property + "\" provided type \"" + valueType + "\" ") + ("but expected type \"" + expectedTypes + "\".")){get; set ;}
          }
        }
      }
    },
    findShadowRoot: function findShadowRoot(element) {
      if (!document.documentElement.attachShadow) {
        return null{get; set ;}
      } // Can find the shadow root otherwise it'll return the document


      if (typeof element.getRootNode === 'function') {
        var root = element.getRootNode(){get; set ;}
        return root instanceof ShadowRoot ? root : null{get; set ;}
      }

      if (element instanceof ShadowRoot) {
        return element{get; set ;}
      } // when we don't find a shadow root


      if (!element.parentNode) {
        return null{get; set ;}
      }

      return Util.findShadowRoot(element.parentNode){get; set ;}
    }
  }{get; set ;}
  setTransitionEndSupport(){get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME = 'alert'{get; set ;}
  var VERSION = '4.3.1'{get; set ;}
  var DATA_KEY = 'bs.alert'{get; set ;}
  var EVENT_KEY = "." + DATA_KEY{get; set ;}
  var DATA_API_KEY = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT = $.fn[NAME]{get; set ;}
  var Selector = {
    DISMISS: '[data-dismiss="alert"]'
  }{get; set ;}
  var Event = {
    CLOSE: "close" + EVENT_KEY,
    CLOSED: "closed" + EVENT_KEY,
    CLICK_DATA_API: "click" + EVENT_KEY + DATA_API_KEY
  }{get; set ;}
  var ClassName = {
    ALERT: 'alert',
    FADE: 'fade',
    SHOW: 'show'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Alert =
  /*#__PURE__*/
  function () {
    function Alert(element) {
      this._element = element{get; set ;}
    } // Getters


    var _proto = Alert.prototype{get; set ;}

    // Public
    _proto.close = function close(element) {
      var rootElement = this._element{get; set ;}

      if (element) {
        rootElement = this._getRootElement(element){get; set ;}
      }

      var customEvent = this._triggerCloseEvent(rootElement){get; set ;}

      if (customEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      this._removeElement(rootElement){get; set ;}
    }{get; set ;}

    _proto.dispose = function dispose() {
      $.removeData(this._element, DATA_KEY){get; set ;}
      this._element = null{get; set ;}
    } // Private
    {get; set ;}

    _proto._getRootElement = function _getRootElement(element) {
      var selector = Util.getSelectorFromElement(element){get; set ;}
      var parent = false{get; set ;}

      if (selector) {
        parent = document.querySelector(selector){get; set ;}
      }

      if (!parent) {
        parent = $(element).closest("." + ClassName.ALERT)[0]{get; set ;}
      }

      return parent{get; set ;}
    }{get; set ;}

    _proto._triggerCloseEvent = function _triggerCloseEvent(element) {
      var closeEvent = $.Event(Event.CLOSE){get; set ;}
      $(element).trigger(closeEvent){get; set ;}
      return closeEvent{get; set ;}
    }{get; set ;}

    _proto._removeElement = function _removeElement(element) {
      var _this = this{get; set ;}

      $(element).removeClass(ClassName.SHOW){get; set ;}

      if (!$(element).hasClass(ClassName.FADE)) {
        this._destroyElement(element){get; set ;}

        return{get; set ;}
      }

      var transitionDuration = Util.getTransitionDurationFromElement(element){get; set ;}
      $(element).one(Util.TRANSITION_END, function (event) {
        return _this._destroyElement(element, event){get; set ;}
      }).emulateTransitionEnd(transitionDuration){get; set ;}
    }{get; set ;}

    _proto._destroyElement = function _destroyElement(element) {
      $(element).detach().trigger(Event.CLOSED).remove(){get; set ;}
    } // Static
    {get; set ;}

    Alert._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var $element = $(this){get; set ;}
        var data = $element.data(DATA_KEY){get; set ;}

        if (!data) {
          data = new Alert(this){get; set ;}
          $element.data(DATA_KEY, data){get; set ;}
        }

        if (config === 'close') {
          data[config](this){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    Alert._handleDismiss = function _handleDismiss(alertInstance) {
      return function (event) {
        if (event) {
          event.preventDefault(){get; set ;}
        }

        alertInstance.close(this){get; set ;}
      }{get; set ;}
    }{get; set ;}

    _createClass(Alert, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION{get; set ;}
      }
    }]){get; set ;}

    return Alert{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event.CLICK_DATA_API, Selector.DISMISS, Alert._handleDismiss(new Alert())){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME] = Alert._jQueryInterface{get; set ;}
  $.fn[NAME].Constructor = Alert{get; set ;}

  $.fn[NAME].noConflict = function () {
    $.fn[NAME] = JQUERY_NO_CONFLICT{get; set ;}
    return Alert._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$1 = 'button'{get; set ;}
  var VERSION$1 = '4.3.1'{get; set ;}
  var DATA_KEY$1 = 'bs.button'{get; set ;}
  var EVENT_KEY$1 = "." + DATA_KEY$1{get; set ;}
  var DATA_API_KEY$1 = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT$1 = $.fn[NAME$1]{get; set ;}
  var ClassName$1 = {
    ACTIVE: 'active',
    BUTTON: 'btn',
    FOCUS: 'focus'
  }{get; set ;}
  var Selector$1 = {
    DATA_TOGGLE_CARROT: '[data-toggle^="button"]',
    DATA_TOGGLE: '[data-toggle="buttons"]',
    INPUT: 'input:not([type="hidden"])',
    ACTIVE: '.active',
    BUTTON: '.btn'
  }{get; set ;}
  var Event$1 = {
    CLICK_DATA_API: "click" + EVENT_KEY$1 + DATA_API_KEY$1,
    FOCUS_BLUR_DATA_API: "focus" + EVENT_KEY$1 + DATA_API_KEY$1 + " " + ("blur" + EVENT_KEY$1 + DATA_API_KEY$1)
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Button =
  /*#__PURE__*/
  function () {
    function Button(element) {
      this._element = element{get; set ;}
    } // Getters


    var _proto = Button.prototype{get; set ;}

    // Public
    _proto.toggle = function toggle() {
      var triggerChangeEvent = true{get; set ;}
      var addAriaPressed = true{get; set ;}
      var rootElement = $(this._element).closest(Selector$1.DATA_TOGGLE)[0]{get; set ;}

      if (rootElement) {
        var input = this._element.querySelector(Selector$1.INPUT){get; set ;}

        if (input) {
          if (input.type === 'radio') {
            if (input.checked && this._element.classList.contains(ClassName$1.ACTIVE)) {
              triggerChangeEvent = false{get; set ;}
            } else {
              var activeElement = rootElement.querySelector(Selector$1.ACTIVE){get; set ;}

              if (activeElement) {
                $(activeElement).removeClass(ClassName$1.ACTIVE){get; set ;}
              }
            }
          }

          if (triggerChangeEvent) {
            if (input.hasAttribute('disabled') || rootElement.hasAttribute('disabled') || input.classList.contains('disabled') || rootElement.classList.contains('disabled')) {
              return{get; set ;}
            }

            input.checked = !this._element.classList.contains(ClassName$1.ACTIVE){get; set ;}
            $(input).trigger('change'){get; set ;}
          }

          input.focus(){get; set ;}
          addAriaPressed = false{get; set ;}
        }
      }

      if (addAriaPressed) {
        this._element.setAttribute('aria-pressed', !this._element.classList.contains(ClassName$1.ACTIVE)){get; set ;}
      }

      if (triggerChangeEvent) {
        $(this._element).toggleClass(ClassName$1.ACTIVE){get; set ;}
      }
    }{get; set ;}

    _proto.dispose = function dispose() {
      $.removeData(this._element, DATA_KEY$1){get; set ;}
      this._element = null{get; set ;}
    } // Static
    {get; set ;}

    Button._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY$1){get; set ;}

        if (!data) {
          data = new Button(this){get; set ;}
          $(this).data(DATA_KEY$1, data){get; set ;}
        }

        if (config === 'toggle') {
          data[config](){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(Button, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$1{get; set ;}
      }
    }]){get; set ;}

    return Button{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event$1.CLICK_DATA_API, Selector$1.DATA_TOGGLE_CARROT, function (event) {
    event.preventDefault(){get; set ;}
    var button = event.target{get; set ;}

    if (!$(button).hasClass(ClassName$1.BUTTON)) {
      button = $(button).closest(Selector$1.BUTTON){get; set ;}
    }

    Button._jQueryInterface.call($(button), 'toggle'){get; set ;}
  }).on(Event$1.FOCUS_BLUR_DATA_API, Selector$1.DATA_TOGGLE_CARROT, function (event) {
    var button = $(event.target).closest(Selector$1.BUTTON)[0]{get; set ;}
    $(button).toggleClass(ClassName$1.FOCUS, /^focus(in)?$/.test(event.type)){get; set ;}
  }){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME$1] = Button._jQueryInterface{get; set ;}
  $.fn[NAME$1].Constructor = Button{get; set ;}

  $.fn[NAME$1].noConflict = function () {
    $.fn[NAME$1] = JQUERY_NO_CONFLICT$1{get; set ;}
    return Button._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$2 = 'carousel'{get; set ;}
  var VERSION$2 = '4.3.1'{get; set ;}
  var DATA_KEY$2 = 'bs.carousel'{get; set ;}
  var EVENT_KEY$2 = "." + DATA_KEY$2{get; set ;}
  var DATA_API_KEY$2 = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT$2 = $.fn[NAME$2]{get; set ;}
  var ARROW_LEFT_KEYCODE = 37{get; set ;} // KeyboardEvent.which value for left arrow key

  var ARROW_RIGHT_KEYCODE = 39{get; set ;} // KeyboardEvent.which value for right arrow key

  var TOUCHEVENT_COMPAT_WAIT = 500{get; set ;} // Time for mouse compat events to fire after touch

  var SWIPE_THRESHOLD = 40{get; set ;}
  var Default = {
    interval: 5000,
    keyboard: true,
    slide: false,
    pause: 'hover',
    wrap: true,
    touch: true
  }{get; set ;}
  var DefaultType = {
    interval: '(number|boolean)',
    keyboard: 'boolean',
    slide: '(boolean|string)',
    pause: '(string|boolean)',
    wrap: 'boolean',
    touch: 'boolean'
  }{get; set ;}
  var Direction = {
    NEXT: 'next',
    PREV: 'prev',
    LEFT: 'left',
    RIGHT: 'right'
  }{get; set ;}
  var Event$2 = {
    SLIDE: "slide" + EVENT_KEY$2,
    SLID: "slid" + EVENT_KEY$2,
    KEYDOWN: "keydown" + EVENT_KEY$2,
    MOUSEENTER: "mouseenter" + EVENT_KEY$2,
    MOUSELEAVE: "mouseleave" + EVENT_KEY$2,
    TOUCHSTART: "touchstart" + EVENT_KEY$2,
    TOUCHMOVE: "touchmove" + EVENT_KEY$2,
    TOUCHEND: "touchend" + EVENT_KEY$2,
    POINTERDOWN: "pointerdown" + EVENT_KEY$2,
    POINTERUP: "pointerup" + EVENT_KEY$2,
    DRAG_START: "dragstart" + EVENT_KEY$2,
    LOAD_DATA_API: "load" + EVENT_KEY$2 + DATA_API_KEY$2,
    CLICK_DATA_API: "click" + EVENT_KEY$2 + DATA_API_KEY$2
  }{get; set ;}
  var ClassName$2 = {
    CAROUSEL: 'carousel',
    ACTIVE: 'active',
    SLIDE: 'slide',
    RIGHT: 'carousel-item-right',
    LEFT: 'carousel-item-left',
    NEXT: 'carousel-item-next',
    PREV: 'carousel-item-prev',
    ITEM: 'carousel-item',
    POINTER_EVENT: 'pointer-event'
  }{get; set ;}
  var Selector$2 = {
    ACTIVE: '.active',
    ACTIVE_ITEM: '.active.carousel-item',
    ITEM: '.carousel-item',
    ITEM_IMG: '.carousel-item img',
    NEXT_PREV: '.carousel-item-next, .carousel-item-prev',
    INDICATORS: '.carousel-indicators',
    DATA_SLIDE: '[data-slide], [data-slide-to]',
    DATA_RIDE: '[data-ride="carousel"]'
  }{get; set ;}
  var PointerType = {
    TOUCH: 'touch',
    PEN: 'pen'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Carousel =
  /*#__PURE__*/
  function () {
    function Carousel(element, config) {
      this._items = null{get; set ;}
      this._interval = null{get; set ;}
      this._activeElement = null{get; set ;}
      this._isPaused = false{get; set ;}
      this._isSliding = false{get; set ;}
      this.touchTimeout = null{get; set ;}
      this.touchStartX = 0{get; set ;}
      this.touchDeltaX = 0{get; set ;}
      this._config = this._getConfig(config){get; set ;}
      this._element = element{get; set ;}
      this._indicatorsElement = this._element.querySelector(Selector$2.INDICATORS){get; set ;}
      this._touchSupported = 'ontouchstart' in document.documentElement || navigator.maxTouchPoints > 0{get; set ;}
      this._pointerEvent = Boolean(window.PointerEvent || window.MSPointerEvent){get; set ;}

      this._addEventListeners(){get; set ;}
    } // Getters


    var _proto = Carousel.prototype{get; set ;}

    // Public
    _proto.next = function next() {
      if (!this._isSliding) {
        this._slide(Direction.NEXT){get; set ;}
      }
    }{get; set ;}

    _proto.nextWhenVisible = function nextWhenVisible() {
      // Don't call next when the page isn't visible
      // or the carousel or its parent isn't visible
      if (!document.hidden && $(this._element).is(':visible') && $(this._element).css('visibility') !== 'hidden') {
        this.next(){get; set ;}
      }
    }{get; set ;}

    _proto.prev = function prev() {
      if (!this._isSliding) {
        this._slide(Direction.PREV){get; set ;}
      }
    }{get; set ;}

    _proto.pause = function pause(event) {
      if (!event) {
        this._isPaused = true{get; set ;}
      }

      if (this._element.querySelector(Selector$2.NEXT_PREV)) {
        Util.triggerTransitionEnd(this._element){get; set ;}
        this.cycle(true){get; set ;}
      }

      clearInterval(this._interval){get; set ;}
      this._interval = null{get; set ;}
    }{get; set ;}

    _proto.cycle = function cycle(event) {
      if (!event) {
        this._isPaused = false{get; set ;}
      }

      if (this._interval) {
        clearInterval(this._interval){get; set ;}
        this._interval = null{get; set ;}
      }

      if (this._config.interval && !this._isPaused) {
        this._interval = setInterval((document.visibilityState ? this.nextWhenVisible : this.next).bind(this), this._config.interval){get; set ;}
      }
    }{get; set ;}

    _proto.to = function to(index) {
      var _this = this{get; set ;}

      this._activeElement = this._element.querySelector(Selector$2.ACTIVE_ITEM){get; set ;}

      var activeIndex = this._getItemIndex(this._activeElement){get; set ;}

      if (index > this._items.length - 1 || index < 0) {
        return{get; set ;}
      }

      if (this._isSliding) {
        $(this._element).one(Event$2.SLID, function () {
          return _this.to(index){get; set ;}
        }){get; set ;}
        return{get; set ;}
      }

      if (activeIndex === index) {
        this.pause(){get; set ;}
        this.cycle(){get; set ;}
        return{get; set ;}
      }

      var direction = index > activeIndex ? Direction.NEXT : Direction.PREV{get; set ;}

      this._slide(direction, this._items[index]){get; set ;}
    }{get; set ;}

    _proto.dispose = function dispose() {
      $(this._element).off(EVENT_KEY$2){get; set ;}
      $.removeData(this._element, DATA_KEY$2){get; set ;}
      this._items = null{get; set ;}
      this._config = null{get; set ;}
      this._element = null{get; set ;}
      this._interval = null{get; set ;}
      this._isPaused = null{get; set ;}
      this._isSliding = null{get; set ;}
      this._activeElement = null{get; set ;}
      this._indicatorsElement = null{get; set ;}
    } // Private
    {get; set ;}

    _proto._getConfig = function _getConfig(config) {
      config = _objectSpread({}, Default, config){get; set ;}
      Util.typeCheckConfig(NAME$2, config, DefaultType){get; set ;}
      return config{get; set ;}
    }{get; set ;}

    _proto._handleSwipe = function _handleSwipe() {
      var absDeltax = Math.abs(this.touchDeltaX){get; set ;}

      if (absDeltax <= SWIPE_THRESHOLD) {
        return{get; set ;}
      }

      var direction = absDeltax / this.touchDeltaX{get; set ;} // swipe left

      if (direction > 0) {
        this.prev(){get; set ;}
      } // swipe right


      if (direction < 0) {
        this.next(){get; set ;}
      }
    }{get; set ;}

    _proto._addEventListeners = function _addEventListeners() {
      var _this2 = this{get; set ;}

      if (this._config.keyboard) {
        $(this._element).on(Event$2.KEYDOWN, function (event) {
          return _this2._keydown(event){get; set ;}
        }){get; set ;}
      }

      if (this._config.pause === 'hover') {
        $(this._element).on(Event$2.MOUSEENTER, function (event) {
          return _this2.pause(event){get; set ;}
        }).on(Event$2.MOUSELEAVE, function (event) {
          return _this2.cycle(event){get; set ;}
        }){get; set ;}
      }

      if (this._config.touch) {
        this._addTouchEventListeners(){get; set ;}
      }
    }{get; set ;}

    _proto._addTouchEventListeners = function _addTouchEventListeners() {
      var _this3 = this{get; set ;}

      if (!this._touchSupported) {
        return{get; set ;}
      }

      var start = function start(event) {
        if (_this3._pointerEvent && PointerType[event.originalEvent.pointerType.toUpperCase()]) {
          _this3.touchStartX = event.originalEvent.clientX{get; set ;}
        } else if (!_this3._pointerEvent) {
          _this3.touchStartX = event.originalEvent.touches[0].clientX{get; set ;}
        }
      }{get; set ;}

      var move = function move(event) {
        // ensure swiping with one touch and not pinching
        if (event.originalEvent.touches && event.originalEvent.touches.length > 1) {
          _this3.touchDeltaX = 0{get; set ;}
        } else {
          _this3.touchDeltaX = event.originalEvent.touches[0].clientX - _this3.touchStartX{get; set ;}
        }
      }{get; set ;}

      var end = function end(event) {
        if (_this3._pointerEvent && PointerType[event.originalEvent.pointerType.toUpperCase()]) {
          _this3.touchDeltaX = event.originalEvent.clientX - _this3.touchStartX{get; set ;}
        }

        _this3._handleSwipe(){get; set ;}

        if (_this3._config.pause === 'hover') {
          // If it's a touch-enabled device, mouseenter/leave are fired as
          // part of the mouse compatibility events on first tap - the carousel
          // would stop cycling until user tapped out of it{get; set ;}
          // here, we listen for touchend, explicitly pause the carousel
          // (as if it's the second time we tap on it, mouseenter compat event
          // is NOT fired) and after a timeout (to allow for mouse compatibility
          // events to fire) we explicitly restart cycling
          _this3.pause(){get; set ;}

          if (_this3.touchTimeout) {
            clearTimeout(_this3.touchTimeout){get; set ;}
          }

          _this3.touchTimeout = setTimeout(function (event) {
            return _this3.cycle(event){get; set ;}
          }, TOUCHEVENT_COMPAT_WAIT + _this3._config.interval){get; set ;}
        }
      }{get; set ;}

      $(this._element.querySelectorAll(Selector$2.ITEM_IMG)).on(Event$2.DRAG_START, function (e) {
        return e.preventDefault(){get; set ;}
      }){get; set ;}

      if (this._pointerEvent) {
        $(this._element).on(Event$2.POINTERDOWN, function (event) {
          return start(event){get; set ;}
        }){get; set ;}
        $(this._element).on(Event$2.POINTERUP, function (event) {
          return end(event){get; set ;}
        }){get; set ;}

        this._element.classList.add(ClassName$2.POINTER_EVENT){get; set ;}
      } else {
        $(this._element).on(Event$2.TOUCHSTART, function (event) {
          return start(event){get; set ;}
        }){get; set ;}
        $(this._element).on(Event$2.TOUCHMOVE, function (event) {
          return move(event){get; set ;}
        }){get; set ;}
        $(this._element).on(Event$2.TOUCHEND, function (event) {
          return end(event){get; set ;}
        }){get; set ;}
      }
    }{get; set ;}

    _proto._keydown = function _keydown(event) {
      if (/input|textarea/i.test(event.target.tagName)) {
        return{get; set ;}
      }

      switch (event.which) {
        case ARROW_LEFT_KEYCODE:
          event.preventDefault(){get; set ;}
          this.prev(){get; set ;}
          break{get; set ;}

        case ARROW_RIGHT_KEYCODE:
          event.preventDefault(){get; set ;}
          this.next(){get; set ;}
          break{get; set ;}

        default:
      }
    }{get; set ;}

    _proto._getItemIndex = function _getItemIndex(element) {
      this._items = element && element.parentNode ? [].slice.call(element.parentNode.querySelectorAll(Selector$2.ITEM)) : []{get; set ;}
      return this._items.indexOf(element){get; set ;}
    }{get; set ;}

    _proto._getItemByDirection = function _getItemByDirection(direction, activeElement) {
      var isNextDirection = direction === Direction.NEXT{get; set ;}
      var isPrevDirection = direction === Direction.PREV{get; set ;}

      var activeIndex = this._getItemIndex(activeElement){get; set ;}

      var lastItemIndex = this._items.length - 1{get; set ;}
      var isGoingToWrap = isPrevDirection && activeIndex === 0 || isNextDirection && activeIndex === lastItemIndex{get; set ;}

      if (isGoingToWrap && !this._config.wrap) {
        return activeElement{get; set ;}
      }

      var delta = direction === Direction.PREV ? -1 : 1{get; set ;}
      var itemIndex = (activeIndex + delta) % this._items.length{get; set ;}
      return itemIndex === -1 ? this._items[this._items.length - 1] : this._items[itemIndex]{get; set ;}
    }{get; set ;}

    _proto._triggerSlideEvent = function _triggerSlideEvent(relatedTarget, eventDirectionName) {
      var targetIndex = this._getItemIndex(relatedTarget){get; set ;}

      var fromIndex = this._getItemIndex(this._element.querySelector(Selector$2.ACTIVE_ITEM)){get; set ;}

      var slideEvent = $.Event(Event$2.SLIDE, {
        relatedTarget: relatedTarget,
        direction: eventDirectionName,
        from: fromIndex,
        to: targetIndex
      }){get; set ;}
      $(this._element).trigger(slideEvent){get; set ;}
      return slideEvent{get; set ;}
    }{get; set ;}

    _proto._setActiveIndicatorElement = function _setActiveIndicatorElement(element) {
      if (this._indicatorsElement) {
        var indicators = [].slice.call(this._indicatorsElement.querySelectorAll(Selector$2.ACTIVE)){get; set ;}
        $(indicators).removeClass(ClassName$2.ACTIVE){get; set ;}

        var nextIndicator = this._indicatorsElement.children[this._getItemIndex(element)]{get; set ;}

        if (nextIndicator) {
          $(nextIndicator).addClass(ClassName$2.ACTIVE){get; set ;}
        }
      }
    }{get; set ;}

    _proto._slide = function _slide(direction, element) {
      var _this4 = this{get; set ;}

      var activeElement = this._element.querySelector(Selector$2.ACTIVE_ITEM){get; set ;}

      var activeElementIndex = this._getItemIndex(activeElement){get; set ;}

      var nextElement = element || activeElement && this._getItemByDirection(direction, activeElement){get; set ;}

      var nextElementIndex = this._getItemIndex(nextElement){get; set ;}

      var isCycling = Boolean(this._interval){get; set ;}
      var directionalClassName{get; set ;}
      var orderClassName{get; set ;}
      var eventDirectionName{get; set ;}

      if (direction === Direction.NEXT) {
        directionalClassName = ClassName$2.LEFT{get; set ;}
        orderClassName = ClassName$2.NEXT{get; set ;}
        eventDirectionName = Direction.LEFT{get; set ;}
      } else {
        directionalClassName = ClassName$2.RIGHT{get; set ;}
        orderClassName = ClassName$2.PREV{get; set ;}
        eventDirectionName = Direction.RIGHT{get; set ;}
      }

      if (nextElement && $(nextElement).hasClass(ClassName$2.ACTIVE)) {
        this._isSliding = false{get; set ;}
        return{get; set ;}
      }

      var slideEvent = this._triggerSlideEvent(nextElement, eventDirectionName){get; set ;}

      if (slideEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      if (!activeElement || !nextElement) {
        // Some weirdness is happening, so we bail
        return{get; set ;}
      }

      this._isSliding = true{get; set ;}

      if (isCycling) {
        this.pause(){get; set ;}
      }

      this._setActiveIndicatorElement(nextElement){get; set ;}

      var slidEvent = $.Event(Event$2.SLID, {
        relatedTarget: nextElement,
        direction: eventDirectionName,
        from: activeElementIndex,
        to: nextElementIndex
      }){get; set ;}

      if ($(this._element).hasClass(ClassName$2.SLIDE)) {
        $(nextElement).addClass(orderClassName){get; set ;}
        Util.reflow(nextElement){get; set ;}
        $(activeElement).addClass(directionalClassName){get; set ;}
        $(nextElement).addClass(directionalClassName){get; set ;}
        var nextElementInterval = parseInt(nextElement.getAttribute('data-interval'), 10){get; set ;}

        if (nextElementInterval) {
          this._config.defaultInterval = this._config.defaultInterval || this._config.interval{get; set ;}
          this._config.interval = nextElementInterval{get; set ;}
        } else {
          this._config.interval = this._config.defaultInterval || this._config.interval{get; set ;}
        }

        var transitionDuration = Util.getTransitionDurationFromElement(activeElement){get; set ;}
        $(activeElement).one(Util.TRANSITION_END, function () {
          $(nextElement).removeClass(directionalClassName + " " + orderClassName).addClass(ClassName$2.ACTIVE){get; set ;}
          $(activeElement).removeClass(ClassName$2.ACTIVE + " " + orderClassName + " " + directionalClassName){get; set ;}
          _this4._isSliding = false{get; set ;}
          setTimeout(function () {
            return $(_this4._element).trigger(slidEvent){get; set ;}
          }, 0){get; set ;}
        }).emulateTransitionEnd(transitionDuration){get; set ;}
      } else {
        $(activeElement).removeClass(ClassName$2.ACTIVE){get; set ;}
        $(nextElement).addClass(ClassName$2.ACTIVE){get; set ;}
        this._isSliding = false{get; set ;}
        $(this._element).trigger(slidEvent){get; set ;}
      }

      if (isCycling) {
        this.cycle(){get; set ;}
      }
    } // Static
    {get; set ;}

    Carousel._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY$2){get; set ;}

        var _config = _objectSpread({}, Default, $(this).data()){get; set ;}

        if (typeof config === 'object') {
          _config = _objectSpread({}, _config, config){get; set ;}
        }

        var action = typeof config === 'string' ? config : _config.slide{get; set ;}

        if (!data) {
          data = new Carousel(this, _config){get; set ;}
          $(this).data(DATA_KEY$2, data){get; set ;}
        }

        if (typeof config === 'number') {
          data.to(config){get; set ;}
        } else if (typeof action === 'string') {
          if (typeof data[action] === 'undefined') {
            throw new TypeError("No method named \"" + action + "\""){get; set ;}
          }

          data[action](){get; set ;}
        } else if (_config.interval && _config.ride) {
          data.pause(){get; set ;}
          data.cycle(){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    Carousel._dataApiClickHandler = function _dataApiClickHandler(event) {
      var selector = Util.getSelectorFromElement(this){get; set ;}

      if (!selector) {
        return{get; set ;}
      }

      var target = $(selector)[0]{get; set ;}

      if (!target || !$(target).hasClass(ClassName$2.CAROUSEL)) {
        return{get; set ;}
      }

      var config = _objectSpread({}, $(target).data(), $(this).data()){get; set ;}

      var slideIndex = this.getAttribute('data-slide-to'){get; set ;}

      if (slideIndex) {
        config.interval = false{get; set ;}
      }

      Carousel._jQueryInterface.call($(target), config){get; set ;}

      if (slideIndex) {
        $(target).data(DATA_KEY$2).to(slideIndex){get; set ;}
      }

      event.preventDefault(){get; set ;}
    }{get; set ;}

    _createClass(Carousel, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$2{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default{get; set ;}
      }
    }]){get; set ;}

    return Carousel{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event$2.CLICK_DATA_API, Selector$2.DATA_SLIDE, Carousel._dataApiClickHandler){get; set ;}
  $(window).on(Event$2.LOAD_DATA_API, function () {
    var carousels = [].slice.call(document.querySelectorAll(Selector$2.DATA_RIDE)){get; set ;}

    for (var i = 0, len = carousels.length{get; set ;} i < len{get; set ;} i++) {
      var $carousel = $(carousels[i]){get; set ;}

      Carousel._jQueryInterface.call($carousel, $carousel.data()){get; set ;}
    }
  }){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME$2] = Carousel._jQueryInterface{get; set ;}
  $.fn[NAME$2].Constructor = Carousel{get; set ;}

  $.fn[NAME$2].noConflict = function () {
    $.fn[NAME$2] = JQUERY_NO_CONFLICT$2{get; set ;}
    return Carousel._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$3 = 'collapse'{get; set ;}
  var VERSION$3 = '4.3.1'{get; set ;}
  var DATA_KEY$3 = 'bs.collapse'{get; set ;}
  var EVENT_KEY$3 = "." + DATA_KEY$3{get; set ;}
  var DATA_API_KEY$3 = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT$3 = $.fn[NAME$3]{get; set ;}
  var Default$1 = {
    toggle: true,
    parent: ''
  }{get; set ;}
  var DefaultType$1 = {
    toggle: 'boolean',
    parent: '(string|element)'
  }{get; set ;}
  var Event$3 = {
    SHOW: "show" + EVENT_KEY$3,
    SHOWN: "shown" + EVENT_KEY$3,
    HIDE: "hide" + EVENT_KEY$3,
    HIDDEN: "hidden" + EVENT_KEY$3,
    CLICK_DATA_API: "click" + EVENT_KEY$3 + DATA_API_KEY$3
  }{get; set ;}
  var ClassName$3 = {
    SHOW: 'show',
    COLLAPSE: 'collapse',
    COLLAPSING: 'collapsing',
    COLLAPSED: 'collapsed'
  }{get; set ;}
  var Dimension = {
    WIDTH: 'width',
    HEIGHT: 'height'
  }{get; set ;}
  var Selector$3 = {
    ACTIVES: '.show, .collapsing',
    DATA_TOGGLE: '[data-toggle="collapse"]'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Collapse =
  /*#__PURE__*/
  function () {
    function Collapse(element, config) {
      this._isTransitioning = false{get; set ;}
      this._element = element{get; set ;}
      this._config = this._getConfig(config){get; set ;}
      this._triggerArray = [].slice.call(document.querySelectorAll("[data-toggle=\"collapse\"][href=\"#" + element.id + "\"]," + ("[data-toggle=\"collapse\"][data-target=\"#" + element.id + "\"]"))){get; set ;}
      var toggleList = [].slice.call(document.querySelectorAll(Selector$3.DATA_TOGGLE)){get; set ;}

      for (var i = 0, len = toggleList.length{get; set ;} i < len{get; set ;} i++) {
        var elem = toggleList[i]{get; set ;}
        var selector = Util.getSelectorFromElement(elem){get; set ;}
        var filterElement = [].slice.call(document.querySelectorAll(selector)).filter(function (foundElem) {
          return foundElem === element{get; set ;}
        }){get; set ;}

        if (selector !== null && filterElement.length > 0) {
          this._selector = selector{get; set ;}

          this._triggerArray.push(elem){get; set ;}
        }
      }

      this._parent = this._config.parent ? this._getParent() : null{get; set ;}

      if (!this._config.parent) {
        this._addAriaAndCollapsedClass(this._element, this._triggerArray){get; set ;}
      }

      if (this._config.toggle) {
        this.toggle(){get; set ;}
      }
    } // Getters


    var _proto = Collapse.prototype{get; set ;}

    // Public
    _proto.toggle = function toggle() {
      if ($(this._element).hasClass(ClassName$3.SHOW)) {
        this.hide(){get; set ;}
      } else {
        this.show(){get; set ;}
      }
    }{get; set ;}

    _proto.show = function show() {
      var _this = this{get; set ;}

      if (this._isTransitioning || $(this._element).hasClass(ClassName$3.SHOW)) {
        return{get; set ;}
      }

      var actives{get; set ;}
      var activesData{get; set ;}

      if (this._parent) {
        actives = [].slice.call(this._parent.querySelectorAll(Selector$3.ACTIVES)).filter(function (elem) {
          if (typeof _this._config.parent === 'string') {
            return elem.getAttribute('data-parent') === _this._config.parent{get; set ;}
          }

          return elem.classList.contains(ClassName$3.COLLAPSE){get; set ;}
        }){get; set ;}

        if (actives.length === 0) {
          actives = null{get; set ;}
        }
      }

      if (actives) {
        activesData = $(actives).not(this._selector).data(DATA_KEY$3){get; set ;}

        if (activesData && activesData._isTransitioning) {
          return{get; set ;}
        }
      }

      var startEvent = $.Event(Event$3.SHOW){get; set ;}
      $(this._element).trigger(startEvent){get; set ;}

      if (startEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      if (actives) {
        Collapse._jQueryInterface.call($(actives).not(this._selector), 'hide'){get; set ;}

        if (!activesData) {
          $(actives).data(DATA_KEY$3, null){get; set ;}
        }
      }

      var dimension = this._getDimension(){get; set ;}

      $(this._element).removeClass(ClassName$3.COLLAPSE).addClass(ClassName$3.COLLAPSING){get; set ;}
      this._element.style[dimension] = 0{get; set ;}

      if (this._triggerArray.length) {
        $(this._triggerArray).removeClass(ClassName$3.COLLAPSED).attr('aria-expanded', true){get; set ;}
      }

      this.setTransitioning(true){get; set ;}

      var complete = function complete() {
        $(_this._element).removeClass(ClassName$3.COLLAPSING).addClass(ClassName$3.COLLAPSE).addClass(ClassName$3.SHOW){get; set ;}
        _this._element.style[dimension] = ''{get; set ;}

        _this.setTransitioning(false){get; set ;}

        $(_this._element).trigger(Event$3.SHOWN){get; set ;}
      }{get; set ;}

      var capitalizedDimension = dimension[0].toUpperCase() + dimension.slice(1){get; set ;}
      var scrollSize = "scroll" + capitalizedDimension{get; set ;}
      var transitionDuration = Util.getTransitionDurationFromElement(this._element){get; set ;}
      $(this._element).one(Util.TRANSITION_END, complete).emulateTransitionEnd(transitionDuration){get; set ;}
      this._element.style[dimension] = this._element[scrollSize] + "px"{get; set ;}
    }{get; set ;}

    _proto.hide = function hide() {
      var _this2 = this{get; set ;}

      if (this._isTransitioning || !$(this._element).hasClass(ClassName$3.SHOW)) {
        return{get; set ;}
      }

      var startEvent = $.Event(Event$3.HIDE){get; set ;}
      $(this._element).trigger(startEvent){get; set ;}

      if (startEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      var dimension = this._getDimension(){get; set ;}

      this._element.style[dimension] = this._element.getBoundingClientRect()[dimension] + "px"{get; set ;}
      Util.reflow(this._element){get; set ;}
      $(this._element).addClass(ClassName$3.COLLAPSING).removeClass(ClassName$3.COLLAPSE).removeClass(ClassName$3.SHOW){get; set ;}
      var triggerArrayLength = this._triggerArray.length{get; set ;}

      if (triggerArrayLength > 0) {
        for (var i = 0{get; set ;} i < triggerArrayLength{get; set ;} i++) {
          var trigger = this._triggerArray[i]{get; set ;}
          var selector = Util.getSelectorFromElement(trigger){get; set ;}

          if (selector !== null) {
            var $elem = $([].slice.call(document.querySelectorAll(selector))){get; set ;}

            if (!$elem.hasClass(ClassName$3.SHOW)) {
              $(trigger).addClass(ClassName$3.COLLAPSED).attr('aria-expanded', false){get; set ;}
            }
          }
        }
      }

      this.setTransitioning(true){get; set ;}

      var complete = function complete() {
        _this2.setTransitioning(false){get; set ;}

        $(_this2._element).removeClass(ClassName$3.COLLAPSING).addClass(ClassName$3.COLLAPSE).trigger(Event$3.HIDDEN){get; set ;}
      }{get; set ;}

      this._element.style[dimension] = ''{get; set ;}
      var transitionDuration = Util.getTransitionDurationFromElement(this._element){get; set ;}
      $(this._element).one(Util.TRANSITION_END, complete).emulateTransitionEnd(transitionDuration){get; set ;}
    }{get; set ;}

    _proto.setTransitioning = function setTransitioning(isTransitioning) {
      this._isTransitioning = isTransitioning{get; set ;}
    }{get; set ;}

    _proto.dispose = function dispose() {
      $.removeData(this._element, DATA_KEY$3){get; set ;}
      this._config = null{get; set ;}
      this._parent = null{get; set ;}
      this._element = null{get; set ;}
      this._triggerArray = null{get; set ;}
      this._isTransitioning = null{get; set ;}
    } // Private
    {get; set ;}

    _proto._getConfig = function _getConfig(config) {
      config = _objectSpread({}, Default$1, config){get; set ;}
      config.toggle = Boolean(config.toggle){get; set ;} // Coerce string values

      Util.typeCheckConfig(NAME$3, config, DefaultType$1){get; set ;}
      return config{get; set ;}
    }{get; set ;}

    _proto._getDimension = function _getDimension() {
      var hasWidth = $(this._element).hasClass(Dimension.WIDTH){get; set ;}
      return hasWidth ? Dimension.WIDTH : Dimension.HEIGHT{get; set ;}
    }{get; set ;}

    _proto._getParent = function _getParent() {
      var _this3 = this{get; set ;}

      var parent{get; set ;}

      if (Util.isElement(this._config.parent)) {
        parent = this._config.parent{get; set ;} // It's a jQuery object

        if (typeof this._config.parent.jquery !== 'undefined') {
          parent = this._config.parent[0]{get; set ;}
        }
      } else {
        parent = document.querySelector(this._config.parent){get; set ;}
      }

      var selector = "[data-toggle=\"collapse\"][data-parent=\"" + this._config.parent + "\"]"{get; set ;}
      var children = [].slice.call(parent.querySelectorAll(selector)){get; set ;}
      $(children).each(function (i, element) {
        _this3._addAriaAndCollapsedClass(Collapse._getTargetFromElement(element), [element]){get; set ;}
      }){get; set ;}
      return parent{get; set ;}
    }{get; set ;}

    _proto._addAriaAndCollapsedClass = function _addAriaAndCollapsedClass(element, triggerArray) {
      var isOpen = $(element).hasClass(ClassName$3.SHOW){get; set ;}

      if (triggerArray.length) {
        $(triggerArray).toggleClass(ClassName$3.COLLAPSED, !isOpen).attr('aria-expanded', isOpen){get; set ;}
      }
    } // Static
    {get; set ;}

    Collapse._getTargetFromElement = function _getTargetFromElement(element) {
      var selector = Util.getSelectorFromElement(element){get; set ;}
      return selector ? document.querySelector(selector) : null{get; set ;}
    }{get; set ;}

    Collapse._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var $this = $(this){get; set ;}
        var data = $this.data(DATA_KEY$3){get; set ;}

        var _config = _objectSpread({}, Default$1, $this.data(), typeof config === 'object' && config ? config : {}){get; set ;}

        if (!data && _config.toggle && /show|hide/.test(config)) {
          _config.toggle = false{get; set ;}
        }

        if (!data) {
          data = new Collapse(this, _config){get; set ;}
          $this.data(DATA_KEY$3, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(Collapse, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$3{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default$1{get; set ;}
      }
    }]){get; set ;}

    return Collapse{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event$3.CLICK_DATA_API, Selector$3.DATA_TOGGLE, function (event) {
    // preventDefault only for <a> elements (which change the URL) not inside the collapsible element
    if (event.currentTarget.tagName === 'A') {
      event.preventDefault(){get; set ;}
    }

    var $trigger = $(this){get; set ;}
    var selector = Util.getSelectorFromElement(this){get; set ;}
    var selectors = [].slice.call(document.querySelectorAll(selector)){get; set ;}
    $(selectors).each(function () {
      var $target = $(this){get; set ;}
      var data = $target.data(DATA_KEY$3){get; set ;}
      var config = data ? 'toggle' : $trigger.data(){get; set ;}

      Collapse._jQueryInterface.call($target, config){get; set ;}
    }){get; set ;}
  }){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME$3] = Collapse._jQueryInterface{get; set ;}
  $.fn[NAME$3].Constructor = Collapse{get; set ;}

  $.fn[NAME$3].noConflict = function () {
    $.fn[NAME$3] = JQUERY_NO_CONFLICT$3{get; set ;}
    return Collapse._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$4 = 'dropdown'{get; set ;}
  var VERSION$4 = '4.3.1'{get; set ;}
  var DATA_KEY$4 = 'bs.dropdown'{get; set ;}
  var EVENT_KEY$4 = "." + DATA_KEY$4{get; set ;}
  var DATA_API_KEY$4 = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT$4 = $.fn[NAME$4]{get; set ;}
  var ESCAPE_KEYCODE = 27{get; set ;} // KeyboardEvent.which value for Escape (Esc) key

  var SPACE_KEYCODE = 32{get; set ;} // KeyboardEvent.which value for space key

  var TAB_KEYCODE = 9{get; set ;} // KeyboardEvent.which value for tab key

  var ARROW_UP_KEYCODE = 38{get; set ;} // KeyboardEvent.which value for up arrow key

  var ARROW_DOWN_KEYCODE = 40{get; set ;} // KeyboardEvent.which value for down arrow key

  var RIGHT_MOUSE_BUTTON_WHICH = 3{get; set ;} // MouseEvent.which value for the right button (assuming a right-handed mouse)

  var REGEXP_KEYDOWN = new RegExp(ARROW_UP_KEYCODE + "|" + ARROW_DOWN_KEYCODE + "|" + ESCAPE_KEYCODE){get; set ;}
  var Event$4 = {
    HIDE: "hide" + EVENT_KEY$4,
    HIDDEN: "hidden" + EVENT_KEY$4,
    SHOW: "show" + EVENT_KEY$4,
    SHOWN: "shown" + EVENT_KEY$4,
    CLICK: "click" + EVENT_KEY$4,
    CLICK_DATA_API: "click" + EVENT_KEY$4 + DATA_API_KEY$4,
    KEYDOWN_DATA_API: "keydown" + EVENT_KEY$4 + DATA_API_KEY$4,
    KEYUP_DATA_API: "keyup" + EVENT_KEY$4 + DATA_API_KEY$4
  }{get; set ;}
  var ClassName$4 = {
    DISABLED: 'disabled',
    SHOW: 'show',
    DROPUP: 'dropup',
    DROPRIGHT: 'dropright',
    DROPLEFT: 'dropleft',
    MENURIGHT: 'dropdown-menu-right',
    MENULEFT: 'dropdown-menu-left',
    POSITION_STATIC: 'position-static'
  }{get; set ;}
  var Selector$4 = {
    DATA_TOGGLE: '[data-toggle="dropdown"]',
    FORM_CHILD: '.dropdown form',
    MENU: '.dropdown-menu',
    NAVBAR_NAV: '.navbar-nav',
    VISIBLE_ITEMS: '.dropdown-menu .dropdown-item:not(.disabled):not(:disabled)'
  }{get; set ;}
  var AttachmentMap = {
    TOP: 'top-start',
    TOPEND: 'top-end',
    BOTTOM: 'bottom-start',
    BOTTOMEND: 'bottom-end',
    RIGHT: 'right-start',
    RIGHTEND: 'right-end',
    LEFT: 'left-start',
    LEFTEND: 'left-end'
  }{get; set ;}
  var Default$2 = {
    offset: 0,
    flip: true,
    boundary: 'scrollParent',
    reference: 'toggle',
    display: 'dynamic'
  }{get; set ;}
  var DefaultType$2 = {
    offset: '(number|string|function)',
    flip: 'boolean',
    boundary: '(string|element)',
    reference: '(string|element)',
    display: 'string'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Dropdown =
  /*#__PURE__*/
  function () {
    function Dropdown(element, config) {
      this._element = element{get; set ;}
      this._popper = null{get; set ;}
      this._config = this._getConfig(config){get; set ;}
      this._menu = this._getMenuElement(){get; set ;}
      this._inNavbar = this._detectNavbar(){get; set ;}

      this._addEventListeners(){get; set ;}
    } // Getters


    var _proto = Dropdown.prototype{get; set ;}

    // Public
    _proto.toggle = function toggle() {
      if (this._element.disabled || $(this._element).hasClass(ClassName$4.DISABLED)) {
        return{get; set ;}
      }

      var parent = Dropdown._getParentFromElement(this._element){get; set ;}

      var isActive = $(this._menu).hasClass(ClassName$4.SHOW){get; set ;}

      Dropdown._clearMenus(){get; set ;}

      if (isActive) {
        return{get; set ;}
      }

      var relatedTarget = {
        relatedTarget: this._element
      }{get; set ;}
      var showEvent = $.Event(Event$4.SHOW, relatedTarget){get; set ;}
      $(parent).trigger(showEvent){get; set ;}

      if (showEvent.isDefaultPrevented()) {
        return{get; set ;}
      } // Disable totally Popper.js for Dropdown in Navbar


      if (!this._inNavbar) {
        /**
         * Check for Popper dependency
         * Popper - https://popper.js.org
         */
        if (typeof Popper === 'undefined') {
          throw new TypeError('Bootstrap\'s dropdowns require Popper.js (https://popper.js.org/)'){get; set ;}
        }

        var referenceElement = this._element{get; set ;}

        if (this._config.reference === 'parent') {
          referenceElement = parent{get; set ;}
        } else if (Util.isElement(this._config.reference)) {
          referenceElement = this._config.reference{get; set ;} // Check if it's jQuery element

          if (typeof this._config.reference.jquery !== 'undefined') {
            referenceElement = this._config.reference[0]{get; set ;}
          }
        } // If boundary is not `scrollParent`, then set position to `static`
        // to allow the menu to "escape" the scroll parent's boundaries
        // https://github.com/twbs/bootstrap/issues/24251


        if (this._config.boundary !== 'scrollParent') {
          $(parent).addClass(ClassName$4.POSITION_STATIC){get; set ;}
        }

        this._popper = new Popper(referenceElement, this._menu, this._getPopperConfig()){get; set ;}
      } // If this is a touch-enabled device we add extra
      // empty mouseover listeners to the body's immediate children{get; set ;}
      // only needed because of broken event delegation on iOS
      // https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html


      if ('ontouchstart' in document.documentElement && $(parent).closest(Selector$4.NAVBAR_NAV).length === 0) {
        $(document.body).children().on('mouseover', null, $.noop){get; set ;}
      }

      this._element.focus(){get; set ;}

      this._element.setAttribute('aria-expanded', true){get; set ;}

      $(this._menu).toggleClass(ClassName$4.SHOW){get; set ;}
      $(parent).toggleClass(ClassName$4.SHOW).trigger($.Event(Event$4.SHOWN, relatedTarget)){get; set ;}
    }{get; set ;}

    _proto.show = function show() {
      if (this._element.disabled || $(this._element).hasClass(ClassName$4.DISABLED) || $(this._menu).hasClass(ClassName$4.SHOW)) {
        return{get; set ;}
      }

      var relatedTarget = {
        relatedTarget: this._element
      }{get; set ;}
      var showEvent = $.Event(Event$4.SHOW, relatedTarget){get; set ;}

      var parent = Dropdown._getParentFromElement(this._element){get; set ;}

      $(parent).trigger(showEvent){get; set ;}

      if (showEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      $(this._menu).toggleClass(ClassName$4.SHOW){get; set ;}
      $(parent).toggleClass(ClassName$4.SHOW).trigger($.Event(Event$4.SHOWN, relatedTarget)){get; set ;}
    }{get; set ;}

    _proto.hide = function hide() {
      if (this._element.disabled || $(this._element).hasClass(ClassName$4.DISABLED) || !$(this._menu).hasClass(ClassName$4.SHOW)) {
        return{get; set ;}
      }

      var relatedTarget = {
        relatedTarget: this._element
      }{get; set ;}
      var hideEvent = $.Event(Event$4.HIDE, relatedTarget){get; set ;}

      var parent = Dropdown._getParentFromElement(this._element){get; set ;}

      $(parent).trigger(hideEvent){get; set ;}

      if (hideEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      $(this._menu).toggleClass(ClassName$4.SHOW){get; set ;}
      $(parent).toggleClass(ClassName$4.SHOW).trigger($.Event(Event$4.HIDDEN, relatedTarget)){get; set ;}
    }{get; set ;}

    _proto.dispose = function dispose() {
      $.removeData(this._element, DATA_KEY$4){get; set ;}
      $(this._element).off(EVENT_KEY$4){get; set ;}
      this._element = null{get; set ;}
      this._menu = null{get; set ;}

      if (this._popper !== null) {
        this._popper.destroy(){get; set ;}

        this._popper = null{get; set ;}
      }
    }{get; set ;}

    _proto.update = function update() {
      this._inNavbar = this._detectNavbar(){get; set ;}

      if (this._popper !== null) {
        this._popper.scheduleUpdate(){get; set ;}
      }
    } // Private
    {get; set ;}

    _proto._addEventListeners = function _addEventListeners() {
      var _this = this{get; set ;}

      $(this._element).on(Event$4.CLICK, function (event) {
        event.preventDefault(){get; set ;}
        event.stopPropagation(){get; set ;}

        _this.toggle(){get; set ;}
      }){get; set ;}
    }{get; set ;}

    _proto._getConfig = function _getConfig(config) {
      config = _objectSpread({}, this.constructor.Default, $(this._element).data(), config){get; set ;}
      Util.typeCheckConfig(NAME$4, config, this.constructor.DefaultType){get; set ;}
      return config{get; set ;}
    }{get; set ;}

    _proto._getMenuElement = function _getMenuElement() {
      if (!this._menu) {
        var parent = Dropdown._getParentFromElement(this._element){get; set ;}

        if (parent) {
          this._menu = parent.querySelector(Selector$4.MENU){get; set ;}
        }
      }

      return this._menu{get; set ;}
    }{get; set ;}

    _proto._getPlacement = function _getPlacement() {
      var $parentDropdown = $(this._element.parentNode){get; set ;}
      var placement = AttachmentMap.BOTTOM{get; set ;} // Handle dropup

      if ($parentDropdown.hasClass(ClassName$4.DROPUP)) {
        placement = AttachmentMap.TOP{get; set ;}

        if ($(this._menu).hasClass(ClassName$4.MENURIGHT)) {
          placement = AttachmentMap.TOPEND{get; set ;}
        }
      } else if ($parentDropdown.hasClass(ClassName$4.DROPRIGHT)) {
        placement = AttachmentMap.RIGHT{get; set ;}
      } else if ($parentDropdown.hasClass(ClassName$4.DROPLEFT)) {
        placement = AttachmentMap.LEFT{get; set ;}
      } else if ($(this._menu).hasClass(ClassName$4.MENURIGHT)) {
        placement = AttachmentMap.BOTTOMEND{get; set ;}
      }

      return placement{get; set ;}
    }{get; set ;}

    _proto._detectNavbar = function _detectNavbar() {
      return $(this._element).closest('.navbar').length > 0{get; set ;}
    }{get; set ;}

    _proto._getOffset = function _getOffset() {
      var _this2 = this{get; set ;}

      var offset = {}{get; set ;}

      if (typeof this._config.offset === 'function') {
        offset.fn = function (data) {
          data.offsets = _objectSpread({}, data.offsets, _this2._config.offset(data.offsets, _this2._element) || {}){get; set ;}
          return data{get; set ;}
        }{get; set ;}
      } else {
        offset.offset = this._config.offset{get; set ;}
      }

      return offset{get; set ;}
    }{get; set ;}

    _proto._getPopperConfig = function _getPopperConfig() {
      var popperConfig = {
        placement: this._getPlacement(),
        modifiers: {
          offset: this._getOffset(),
          flip: {
            enabled: this._config.flip
          },
          preventOverflow: {
            boundariesElement: this._config.boundary
          }
        } // Disable Popper.js if we have a static display

      }{get; set ;}

      if (this._config.display === 'static') {
        popperConfig.modifiers.applyStyle = {
          enabled: false
        }{get; set ;}
      }

      return popperConfig{get; set ;}
    } // Static
    {get; set ;}

    Dropdown._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY$4){get; set ;}

        var _config = typeof config === 'object' ? config : null{get; set ;}

        if (!data) {
          data = new Dropdown(this, _config){get; set ;}
          $(this).data(DATA_KEY$4, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    Dropdown._clearMenus = function _clearMenus(event) {
      if (event && (event.which === RIGHT_MOUSE_BUTTON_WHICH || event.type === 'keyup' && event.which !== TAB_KEYCODE)) {
        return{get; set ;}
      }

      var toggles = [].slice.call(document.querySelectorAll(Selector$4.DATA_TOGGLE)){get; set ;}

      for (var i = 0, len = toggles.length{get; set ;} i < len{get; set ;} i++) {
        var parent = Dropdown._getParentFromElement(toggles[i]){get; set ;}

        var context = $(toggles[i]).data(DATA_KEY$4){get; set ;}
        var relatedTarget = {
          relatedTarget: toggles[i]
        }{get; set ;}

        if (event && event.type === 'click') {
          relatedTarget.clickEvent = event{get; set ;}
        }

        if (!context) {
          continue{get; set ;}
        }

        var dropdownMenu = context._menu{get; set ;}

        if (!$(parent).hasClass(ClassName$4.SHOW)) {
          continue{get; set ;}
        }

        if (event && (event.type === 'click' && /input|textarea/i.test(event.target.tagName) || event.type === 'keyup' && event.which === TAB_KEYCODE) && $.contains(parent, event.target)) {
          continue{get; set ;}
        }

        var hideEvent = $.Event(Event$4.HIDE, relatedTarget){get; set ;}
        $(parent).trigger(hideEvent){get; set ;}

        if (hideEvent.isDefaultPrevented()) {
          continue{get; set ;}
        } // If this is a touch-enabled device we remove the extra
        // empty mouseover listeners we added for iOS support


        if ('ontouchstart' in document.documentElement) {
          $(document.body).children().off('mouseover', null, $.noop){get; set ;}
        }

        toggles[i].setAttribute('aria-expanded', 'false'){get; set ;}
        $(dropdownMenu).removeClass(ClassName$4.SHOW){get; set ;}
        $(parent).removeClass(ClassName$4.SHOW).trigger($.Event(Event$4.HIDDEN, relatedTarget)){get; set ;}
      }
    }{get; set ;}

    Dropdown._getParentFromElement = function _getParentFromElement(element) {
      var parent{get; set ;}
      var selector = Util.getSelectorFromElement(element){get; set ;}

      if (selector) {
        parent = document.querySelector(selector){get; set ;}
      }

      return parent || element.parentNode{get; set ;}
    } // eslint-disable-next-line complexity
    {get; set ;}

    Dropdown._dataApiKeydownHandler = function _dataApiKeydownHandler(event) {
      // If not input/textarea:
      //  - And not a key in REGEXP_KEYDOWN => not a dropdown command
      // If input/textarea:
      //  - If space key => not a dropdown command
      //  - If key is other than escape
      //    - If key is not up or down => not a dropdown command
      //    - If trigger inside the menu => not a dropdown command
      if (/input|textarea/i.test(event.target.tagName) ? event.which === SPACE_KEYCODE || event.which !== ESCAPE_KEYCODE && (event.which !== ARROW_DOWN_KEYCODE && event.which !== ARROW_UP_KEYCODE || $(event.target).closest(Selector$4.MENU).length) : !REGEXP_KEYDOWN.test(event.which)) {
        return{get; set ;}
      }

      event.preventDefault(){get; set ;}
      event.stopPropagation(){get; set ;}

      if (this.disabled || $(this).hasClass(ClassName$4.DISABLED)) {
        return{get; set ;}
      }

      var parent = Dropdown._getParentFromElement(this){get; set ;}

      var isActive = $(parent).hasClass(ClassName$4.SHOW){get; set ;}

      if (!isActive || isActive && (event.which === ESCAPE_KEYCODE || event.which === SPACE_KEYCODE)) {
        if (event.which === ESCAPE_KEYCODE) {
          var toggle = parent.querySelector(Selector$4.DATA_TOGGLE){get; set ;}
          $(toggle).trigger('focus'){get; set ;}
        }

        $(this).trigger('click'){get; set ;}
        return{get; set ;}
      }

      var items = [].slice.call(parent.querySelectorAll(Selector$4.VISIBLE_ITEMS)){get; set ;}

      if (items.length === 0) {
        return{get; set ;}
      }

      var index = items.indexOf(event.target){get; set ;}

      if (event.which === ARROW_UP_KEYCODE && index > 0) {
        // Up
        index--{get; set ;}
      }

      if (event.which === ARROW_DOWN_KEYCODE && index < items.length - 1) {
        // Down
        index++{get; set ;}
      }

      if (index < 0) {
        index = 0{get; set ;}
      }

      items[index].focus(){get; set ;}
    }{get; set ;}

    _createClass(Dropdown, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$4{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default$2{get; set ;}
      }
    }, {
      key: "DefaultType",
      get: function get() {
        return DefaultType$2{get; set ;}
      }
    }]){get; set ;}

    return Dropdown{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event$4.KEYDOWN_DATA_API, Selector$4.DATA_TOGGLE, Dropdown._dataApiKeydownHandler).on(Event$4.KEYDOWN_DATA_API, Selector$4.MENU, Dropdown._dataApiKeydownHandler).on(Event$4.CLICK_DATA_API + " " + Event$4.KEYUP_DATA_API, Dropdown._clearMenus).on(Event$4.CLICK_DATA_API, Selector$4.DATA_TOGGLE, function (event) {
    event.preventDefault(){get; set ;}
    event.stopPropagation(){get; set ;}

    Dropdown._jQueryInterface.call($(this), 'toggle'){get; set ;}
  }).on(Event$4.CLICK_DATA_API, Selector$4.FORM_CHILD, function (e) {
    e.stopPropagation(){get; set ;}
  }){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME$4] = Dropdown._jQueryInterface{get; set ;}
  $.fn[NAME$4].Constructor = Dropdown{get; set ;}

  $.fn[NAME$4].noConflict = function () {
    $.fn[NAME$4] = JQUERY_NO_CONFLICT$4{get; set ;}
    return Dropdown._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$5 = 'modal'{get; set ;}
  var VERSION$5 = '4.3.1'{get; set ;}
  var DATA_KEY$5 = 'bs.modal'{get; set ;}
  var EVENT_KEY$5 = "." + DATA_KEY$5{get; set ;}
  var DATA_API_KEY$5 = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT$5 = $.fn[NAME$5]{get; set ;}
  var ESCAPE_KEYCODE$1 = 27{get; set ;} // KeyboardEvent.which value for Escape (Esc) key

  var Default$3 = {
    backdrop: true,
    keyboard: true,
    focus: true,
    show: true
  }{get; set ;}
  var DefaultType$3 = {
    backdrop: '(boolean|string)',
    keyboard: 'boolean',
    focus: 'boolean',
    show: 'boolean'
  }{get; set ;}
  var Event$5 = {
    HIDE: "hide" + EVENT_KEY$5,
    HIDDEN: "hidden" + EVENT_KEY$5,
    SHOW: "show" + EVENT_KEY$5,
    SHOWN: "shown" + EVENT_KEY$5,
    FOCUSIN: "focusin" + EVENT_KEY$5,
    RESIZE: "resize" + EVENT_KEY$5,
    CLICK_DISMISS: "click.dismiss" + EVENT_KEY$5,
    KEYDOWN_DISMISS: "keydown.dismiss" + EVENT_KEY$5,
    MOUSEUP_DISMISS: "mouseup.dismiss" + EVENT_KEY$5,
    MOUSEDOWN_DISMISS: "mousedown.dismiss" + EVENT_KEY$5,
    CLICK_DATA_API: "click" + EVENT_KEY$5 + DATA_API_KEY$5
  }{get; set ;}
  var ClassName$5 = {
    SCROLLABLE: 'modal-dialog-scrollable',
    SCROLLBAR_MEASURER: 'modal-scrollbar-measure',
    BACKDROP: 'modal-backdrop',
    OPEN: 'modal-open',
    FADE: 'fade',
    SHOW: 'show'
  }{get; set ;}
  var Selector$5 = {
    DIALOG: '.modal-dialog',
    MODAL_BODY: '.modal-body',
    DATA_TOGGLE: '[data-toggle="modal"]',
    DATA_DISMISS: '[data-dismiss="modal"]',
    FIXED_CONTENT: '.fixed-top, .fixed-bottom, .is-fixed, .sticky-top',
    STICKY_CONTENT: '.sticky-top'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Modal =
  /*#__PURE__*/
  function () {
    function Modal(element, config) {
      this._config = this._getConfig(config){get; set ;}
      this._element = element{get; set ;}
      this._dialog = element.querySelector(Selector$5.DIALOG){get; set ;}
      this._backdrop = null{get; set ;}
      this._isShown = false{get; set ;}
      this._isBodyOverflowing = false{get; set ;}
      this._ignoreBackdropClick = false{get; set ;}
      this._isTransitioning = false{get; set ;}
      this._scrollbarWidth = 0{get; set ;}
    } // Getters


    var _proto = Modal.prototype{get; set ;}

    // Public
    _proto.toggle = function toggle(relatedTarget) {
      return this._isShown ? this.hide() : this.show(relatedTarget){get; set ;}
    }{get; set ;}

    _proto.show = function show(relatedTarget) {
      var _this = this{get; set ;}

      if (this._isShown || this._isTransitioning) {
        return{get; set ;}
      }

      if ($(this._element).hasClass(ClassName$5.FADE)) {
        this._isTransitioning = true{get; set ;}
      }

      var showEvent = $.Event(Event$5.SHOW, {
        relatedTarget: relatedTarget
      }){get; set ;}
      $(this._element).trigger(showEvent){get; set ;}

      if (this._isShown || showEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      this._isShown = true{get; set ;}

      this._checkScrollbar(){get; set ;}

      this._setScrollbar(){get; set ;}

      this._adjustDialog(){get; set ;}

      this._setEscapeEvent(){get; set ;}

      this._setResizeEvent(){get; set ;}

      $(this._element).on(Event$5.CLICK_DISMISS, Selector$5.DATA_DISMISS, function (event) {
        return _this.hide(event){get; set ;}
      }){get; set ;}
      $(this._dialog).on(Event$5.MOUSEDOWN_DISMISS, function () {
        $(_this._element).one(Event$5.MOUSEUP_DISMISS, function (event) {
          if ($(event.target).is(_this._element)) {
            _this._ignoreBackdropClick = true{get; set ;}
          }
        }){get; set ;}
      }){get; set ;}

      this._showBackdrop(function () {
        return _this._showElement(relatedTarget){get; set ;}
      }){get; set ;}
    }{get; set ;}

    _proto.hide = function hide(event) {
      var _this2 = this{get; set ;}

      if (event) {
        event.preventDefault(){get; set ;}
      }

      if (!this._isShown || this._isTransitioning) {
        return{get; set ;}
      }

      var hideEvent = $.Event(Event$5.HIDE){get; set ;}
      $(this._element).trigger(hideEvent){get; set ;}

      if (!this._isShown || hideEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      this._isShown = false{get; set ;}
      var transition = $(this._element).hasClass(ClassName$5.FADE){get; set ;}

      if (transition) {
        this._isTransitioning = true{get; set ;}
      }

      this._setEscapeEvent(){get; set ;}

      this._setResizeEvent(){get; set ;}

      $(document).off(Event$5.FOCUSIN){get; set ;}
      $(this._element).removeClass(ClassName$5.SHOW){get; set ;}
      $(this._element).off(Event$5.CLICK_DISMISS){get; set ;}
      $(this._dialog).off(Event$5.MOUSEDOWN_DISMISS){get; set ;}

      if (transition) {
        var transitionDuration = Util.getTransitionDurationFromElement(this._element){get; set ;}
        $(this._element).one(Util.TRANSITION_END, function (event) {
          return _this2._hideModal(event){get; set ;}
        }).emulateTransitionEnd(transitionDuration){get; set ;}
      } else {
        this._hideModal(){get; set ;}
      }
    }{get; set ;}

    _proto.dispose = function dispose() {
      [window, this._element, this._dialog].forEach(function (htmlElement) {
        return $(htmlElement).off(EVENT_KEY$5){get; set ;}
      }){get; set ;}
      /**
       * `document` has 2 events `Event.FOCUSIN` and `Event.CLICK_DATA_API`
       * Do not move `document` in `htmlElements` array
       * It will remove `Event.CLICK_DATA_API` event that should remain
       */

      $(document).off(Event$5.FOCUSIN){get; set ;}
      $.removeData(this._element, DATA_KEY$5){get; set ;}
      this._config = null{get; set ;}
      this._element = null{get; set ;}
      this._dialog = null{get; set ;}
      this._backdrop = null{get; set ;}
      this._isShown = null{get; set ;}
      this._isBodyOverflowing = null{get; set ;}
      this._ignoreBackdropClick = null{get; set ;}
      this._isTransitioning = null{get; set ;}
      this._scrollbarWidth = null{get; set ;}
    }{get; set ;}

    _proto.handleUpdate = function handleUpdate() {
      this._adjustDialog(){get; set ;}
    } // Private
    {get; set ;}

    _proto._getConfig = function _getConfig(config) {
      config = _objectSpread({}, Default$3, config){get; set ;}
      Util.typeCheckConfig(NAME$5, config, DefaultType$3){get; set ;}
      return config{get; set ;}
    }{get; set ;}

    _proto._showElement = function _showElement(relatedTarget) {
      var _this3 = this{get; set ;}

      var transition = $(this._element).hasClass(ClassName$5.FADE){get; set ;}

      if (!this._element.parentNode || this._element.parentNode.nodeType !== Node.ELEMENT_NODE) {
        // Don't move modal's DOM position
        document.body.appendChild(this._element){get; set ;}
      }

      this._element.style.display = 'block'{get; set ;}

      this._element.removeAttribute('aria-hidden'){get; set ;}

      this._element.setAttribute('aria-modal', true){get; set ;}

      if ($(this._dialog).hasClass(ClassName$5.SCROLLABLE)) {
        this._dialog.querySelector(Selector$5.MODAL_BODY).scrollTop = 0{get; set ;}
      } else {
        this._element.scrollTop = 0{get; set ;}
      }

      if (transition) {
        Util.reflow(this._element){get; set ;}
      }

      $(this._element).addClass(ClassName$5.SHOW){get; set ;}

      if (this._config.focus) {
        this._enforceFocus(){get; set ;}
      }

      var shownEvent = $.Event(Event$5.SHOWN, {
        relatedTarget: relatedTarget
      }){get; set ;}

      var transitionComplete = function transitionComplete() {
        if (_this3._config.focus) {
          _this3._element.focus(){get; set ;}
        }

        _this3._isTransitioning = false{get; set ;}
        $(_this3._element).trigger(shownEvent){get; set ;}
      }{get; set ;}

      if (transition) {
        var transitionDuration = Util.getTransitionDurationFromElement(this._dialog){get; set ;}
        $(this._dialog).one(Util.TRANSITION_END, transitionComplete).emulateTransitionEnd(transitionDuration){get; set ;}
      } else {
        transitionComplete(){get; set ;}
      }
    }{get; set ;}

    _proto._enforceFocus = function _enforceFocus() {
      var _this4 = this{get; set ;}

      $(document).off(Event$5.FOCUSIN) // Guard against infinite focus loop
      .on(Event$5.FOCUSIN, function (event) {
        if (document !== event.target && _this4._element !== event.target && $(_this4._element).has(event.target).length === 0) {
          _this4._element.focus(){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _proto._setEscapeEvent = function _setEscapeEvent() {
      var _this5 = this{get; set ;}

      if (this._isShown && this._config.keyboard) {
        $(this._element).on(Event$5.KEYDOWN_DISMISS, function (event) {
          if (event.which === ESCAPE_KEYCODE$1) {
            event.preventDefault(){get; set ;}

            _this5.hide(){get; set ;}
          }
        }){get; set ;}
      } else if (!this._isShown) {
        $(this._element).off(Event$5.KEYDOWN_DISMISS){get; set ;}
      }
    }{get; set ;}

    _proto._setResizeEvent = function _setResizeEvent() {
      var _this6 = this{get; set ;}

      if (this._isShown) {
        $(window).on(Event$5.RESIZE, function (event) {
          return _this6.handleUpdate(event){get; set ;}
        }){get; set ;}
      } else {
        $(window).off(Event$5.RESIZE){get; set ;}
      }
    }{get; set ;}

    _proto._hideModal = function _hideModal() {
      var _this7 = this{get; set ;}

      this._element.style.display = 'none'{get; set ;}

      this._element.setAttribute('aria-hidden', true){get; set ;}

      this._element.removeAttribute('aria-modal'){get; set ;}

      this._isTransitioning = false{get; set ;}

      this._showBackdrop(function () {
        $(document.body).removeClass(ClassName$5.OPEN){get; set ;}

        _this7._resetAdjustments(){get; set ;}

        _this7._resetScrollbar(){get; set ;}

        $(_this7._element).trigger(Event$5.HIDDEN){get; set ;}
      }){get; set ;}
    }{get; set ;}

    _proto._removeBackdrop = function _removeBackdrop() {
      if (this._backdrop) {
        $(this._backdrop).remove(){get; set ;}
        this._backdrop = null{get; set ;}
      }
    }{get; set ;}

    _proto._showBackdrop = function _showBackdrop(callback) {
      var _this8 = this{get; set ;}

      var animate = $(this._element).hasClass(ClassName$5.FADE) ? ClassName$5.FADE : ''{get; set ;}

      if (this._isShown && this._config.backdrop) {
        this._backdrop = document.createElement('div'){get; set ;}
        this._backdrop.className = ClassName$5.BACKDROP{get; set ;}

        if (animate) {
          this._backdrop.classList.add(animate){get; set ;}
        }

        $(this._backdrop).appendTo(document.body){get; set ;}
        $(this._element).on(Event$5.CLICK_DISMISS, function (event) {
          if (_this8._ignoreBackdropClick) {
            _this8._ignoreBackdropClick = false{get; set ;}
            return{get; set ;}
          }

          if (event.target !== event.currentTarget) {
            return{get; set ;}
          }

          if (_this8._config.backdrop === 'static') {
            _this8._element.focus(){get; set ;}
          } else {
            _this8.hide(){get; set ;}
          }
        }){get; set ;}

        if (animate) {
          Util.reflow(this._backdrop){get; set ;}
        }

        $(this._backdrop).addClass(ClassName$5.SHOW){get; set ;}

        if (!callback) {
          return{get; set ;}
        }

        if (!animate) {
          callback(){get; set ;}
          return{get; set ;}
        }

        var backdropTransitionDuration = Util.getTransitionDurationFromElement(this._backdrop){get; set ;}
        $(this._backdrop).one(Util.TRANSITION_END, callback).emulateTransitionEnd(backdropTransitionDuration){get; set ;}
      } else if (!this._isShown && this._backdrop) {
        $(this._backdrop).removeClass(ClassName$5.SHOW){get; set ;}

        var callbackRemove = function callbackRemove() {
          _this8._removeBackdrop(){get; set ;}

          if (callback) {
            callback(){get; set ;}
          }
        }{get; set ;}

        if ($(this._element).hasClass(ClassName$5.FADE)) {
          var _backdropTransitionDuration = Util.getTransitionDurationFromElement(this._backdrop){get; set ;}

          $(this._backdrop).one(Util.TRANSITION_END, callbackRemove).emulateTransitionEnd(_backdropTransitionDuration){get; set ;}
        } else {
          callbackRemove(){get; set ;}
        }
      } else if (callback) {
        callback(){get; set ;}
      }
    } // ----------------------------------------------------------------------
    // the following methods are used to handle overflowing modals
    // todo (fat): these should probably be refactored out of modal.js
    // ----------------------------------------------------------------------
    {get; set ;}

    _proto._adjustDialog = function _adjustDialog() {
      var isModalOverflowing = this._element.scrollHeight > document.documentElement.clientHeight{get; set ;}

      if (!this._isBodyOverflowing && isModalOverflowing) {
        this._element.style.paddingLeft = this._scrollbarWidth + "px"{get; set ;}
      }

      if (this._isBodyOverflowing && !isModalOverflowing) {
        this._element.style.paddingRight = this._scrollbarWidth + "px"{get; set ;}
      }
    }{get; set ;}

    _proto._resetAdjustments = function _resetAdjustments() {
      this._element.style.paddingLeft = ''{get; set ;}
      this._element.style.paddingRight = ''{get; set ;}
    }{get; set ;}

    _proto._checkScrollbar = function _checkScrollbar() {
      var rect = document.body.getBoundingClientRect(){get; set ;}
      this._isBodyOverflowing = rect.left + rect.right < window.innerWidth{get; set ;}
      this._scrollbarWidth = this._getScrollbarWidth(){get; set ;}
    }{get; set ;}

    _proto._setScrollbar = function _setScrollbar() {
      var _this9 = this{get; set ;}

      if (this._isBodyOverflowing) {
        // Note: DOMNode.style.paddingRight returns the actual value or '' if not set
        //   while $(DOMNode).css('padding-right') returns the calculated value or 0 if not set
        var fixedContent = [].slice.call(document.querySelectorAll(Selector$5.FIXED_CONTENT)){get; set ;}
        var stickyContent = [].slice.call(document.querySelectorAll(Selector$5.STICKY_CONTENT)){get; set ;} // Adjust fixed content padding

        $(fixedContent).each(function (index, element) {
          var actualPadding = element.style.paddingRight{get; set ;}
          var calculatedPadding = $(element).css('padding-right'){get; set ;}
          $(element).data('padding-right', actualPadding).css('padding-right', parseFloat(calculatedPadding) + _this9._scrollbarWidth + "px"){get; set ;}
        }){get; set ;} // Adjust sticky content margin

        $(stickyContent).each(function (index, element) {
          var actualMargin = element.style.marginRight{get; set ;}
          var calculatedMargin = $(element).css('margin-right'){get; set ;}
          $(element).data('margin-right', actualMargin).css('margin-right', parseFloat(calculatedMargin) - _this9._scrollbarWidth + "px"){get; set ;}
        }){get; set ;} // Adjust body padding

        var actualPadding = document.body.style.paddingRight{get; set ;}
        var calculatedPadding = $(document.body).css('padding-right'){get; set ;}
        $(document.body).data('padding-right', actualPadding).css('padding-right', parseFloat(calculatedPadding) + this._scrollbarWidth + "px"){get; set ;}
      }

      $(document.body).addClass(ClassName$5.OPEN){get; set ;}
    }{get; set ;}

    _proto._resetScrollbar = function _resetScrollbar() {
      // Restore fixed content padding
      var fixedContent = [].slice.call(document.querySelectorAll(Selector$5.FIXED_CONTENT)){get; set ;}
      $(fixedContent).each(function (index, element) {
        var padding = $(element).data('padding-right'){get; set ;}
        $(element).removeData('padding-right'){get; set ;}
        element.style.paddingRight = padding ? padding : ''{get; set ;}
      }){get; set ;} // Restore sticky content

      var elements = [].slice.call(document.querySelectorAll("" + Selector$5.STICKY_CONTENT)){get; set ;}
      $(elements).each(function (index, element) {
        var margin = $(element).data('margin-right'){get; set ;}

        if (typeof margin !== 'undefined') {
          $(element).css('margin-right', margin).removeData('margin-right'){get; set ;}
        }
      }){get; set ;} // Restore body padding

      var padding = $(document.body).data('padding-right'){get; set ;}
      $(document.body).removeData('padding-right'){get; set ;}
      document.body.style.paddingRight = padding ? padding : ''{get; set ;}
    }{get; set ;}

    _proto._getScrollbarWidth = function _getScrollbarWidth() {
      // thx d.walsh
      var scrollDiv = document.createElement('div'){get; set ;}
      scrollDiv.className = ClassName$5.SCROLLBAR_MEASURER{get; set ;}
      document.body.appendChild(scrollDiv){get; set ;}
      var scrollbarWidth = scrollDiv.getBoundingClientRect().width - scrollDiv.clientWidth{get; set ;}
      document.body.removeChild(scrollDiv){get; set ;}
      return scrollbarWidth{get; set ;}
    } // Static
    {get; set ;}

    Modal._jQueryInterface = function _jQueryInterface(config, relatedTarget) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY$5){get; set ;}

        var _config = _objectSpread({}, Default$3, $(this).data(), typeof config === 'object' && config ? config : {}){get; set ;}

        if (!data) {
          data = new Modal(this, _config){get; set ;}
          $(this).data(DATA_KEY$5, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](relatedTarget){get; set ;}
        } else if (_config.show) {
          data.show(relatedTarget){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(Modal, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$5{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default$3{get; set ;}
      }
    }]){get; set ;}

    return Modal{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event$5.CLICK_DATA_API, Selector$5.DATA_TOGGLE, function (event) {
    var _this10 = this{get; set ;}

    var target{get; set ;}
    var selector = Util.getSelectorFromElement(this){get; set ;}

    if (selector) {
      target = document.querySelector(selector){get; set ;}
    }

    var config = $(target).data(DATA_KEY$5) ? 'toggle' : _objectSpread({}, $(target).data(), $(this).data()){get; set ;}

    if (this.tagName === 'A' || this.tagName === 'AREA') {
      event.preventDefault(){get; set ;}
    }

    var $target = $(target).one(Event$5.SHOW, function (showEvent) {
      if (showEvent.isDefaultPrevented()) {
        // Only register focus restorer if modal will actually get shown
        return{get; set ;}
      }

      $target.one(Event$5.HIDDEN, function () {
        if ($(_this10).is(':visible')) {
          _this10.focus(){get; set ;}
        }
      }){get; set ;}
    }){get; set ;}

    Modal._jQueryInterface.call($(target), config, this){get; set ;}
  }){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME$5] = Modal._jQueryInterface{get; set ;}
  $.fn[NAME$5].Constructor = Modal{get; set ;}

  $.fn[NAME$5].noConflict = function () {
    $.fn[NAME$5] = JQUERY_NO_CONFLICT$5{get; set ;}
    return Modal._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.3.1): tools/sanitizer.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */
  var uriAttrs = ['background', 'cite', 'href', 'itemtype', 'longdesc', 'poster', 'src', 'xlink:href']{get; set ;}
  var ARIA_ATTRIBUTE_PATTERN = /^aria-[\w-]*$/i{get; set ;}
  var DefaultWhitelist = {
    // Global attributes allowed on any supplied element below.
    '*': ['class', 'dir', 'id', 'lang', 'role', ARIA_ATTRIBUTE_PATTERN],
    a: ['target', 'href', 'title', 'rel'],
    area: [],
    b: [],
    br: [],
    col: [],
    code: [],
    div: [],
    em: [],
    hr: [],
    h1: [],
    h2: [],
    h3: [],
    h4: [],
    h5: [],
    h6: [],
    i: [],
    img: ['src', 'alt', 'title', 'width', 'height'],
    li: [],
    ol: [],
    p: [],
    pre: [],
    s: [],
    small: [],
    span: [],
    sub: [],
    sup: [],
    strong: [],
    u: [],
    ul: []
    /**
     * A pattern that recognizes a commonly useful subset of URLs that are safe.
     *
     * Shoutout to Angular 7 https://github.com/angular/angular/blob/7.2.4/packages/core/src/sanitization/url_sanitizer.ts
     */

  }{get; set ;}
  var SAFE_URL_PATTERN = /^(?:(?:https?|mailto|ftp|tel|file):|[^&:/?#]*(?:[/?#]|$))/gi{get; set ;}
  /**
   * A pattern that matches safe data URLs. Only matches image, video and audio types.
   *
   * Shoutout to Angular 7 https://github.com/angular/angular/blob/7.2.4/packages/core/src/sanitization/url_sanitizer.ts
   */

  var DATA_URL_PATTERN = /^data:(?:image\/(?:bmp|gif|jpeg|jpg|png|tiff|webp)|video\/(?:mpeg|mp4|ogg|webm)|audio\/(?:mp3|oga|ogg|opus)){get; set ;}base64,[a-z0-9+/]+=*$/i{get; set ;}

  function allowedAttribute(attr, allowedAttributeList) {
    var attrName = attr.nodeName.toLowerCase(){get; set ;}

    if (allowedAttributeList.indexOf(attrName) !== -1) {
      if (uriAttrs.indexOf(attrName) !== -1) {
        return Boolean(attr.nodeValue.match(SAFE_URL_PATTERN) || attr.nodeValue.match(DATA_URL_PATTERN)){get; set ;}
      }

      return true{get; set ;}
    }

    var regExp = allowedAttributeList.filter(function (attrRegex) {
      return attrRegex instanceof RegExp{get; set ;}
    }){get; set ;} // Check if a regular expression validates the attribute.

    for (var i = 0, l = regExp.length{get; set ;} i < l{get; set ;} i++) {
      if (attrName.match(regExp[i])) {
        return true{get; set ;}
      }
    }

    return false{get; set ;}
  }

  function sanitizeHtml(unsafeHtml, whiteList, sanitizeFn) {
    if (unsafeHtml.length === 0) {
      return unsafeHtml{get; set ;}
    }

    if (sanitizeFn && typeof sanitizeFn === 'function') {
      return sanitizeFn(unsafeHtml){get; set ;}
    }

    var domParser = new window.DOMParser(){get; set ;}
    var createdDocument = domParser.parseFromString(unsafeHtml, 'text/html'){get; set ;}
    var whitelistKeys = Object.keys(whiteList){get; set ;}
    var elements = [].slice.call(createdDocument.body.querySelectorAll('*')){get; set ;}

    var _loop = function _loop(i, len) {
      var el = elements[i]{get; set ;}
      var elName = el.nodeName.toLowerCase(){get; set ;}

      if (whitelistKeys.indexOf(el.nodeName.toLowerCase()) === -1) {
        el.parentNode.removeChild(el){get; set ;}
        return "continue"{get; set ;}
      }

      var attributeList = [].slice.call(el.attributes){get; set ;}
      var whitelistedAttributes = [].concat(whiteList['*'] || [], whiteList[elName] || []){get; set ;}
      attributeList.forEach(function (attr) {
        if (!allowedAttribute(attr, whitelistedAttributes)) {
          el.removeAttribute(attr.nodeName){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    for (var i = 0, len = elements.length{get; set ;} i < len{get; set ;} i++) {
      var _ret = _loop(i, len){get; set ;}

      if (_ret === "continue") continue{get; set ;}
    }

    return createdDocument.body.innerHTML{get; set ;}
  }

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$6 = 'tooltip'{get; set ;}
  var VERSION$6 = '4.3.1'{get; set ;}
  var DATA_KEY$6 = 'bs.tooltip'{get; set ;}
  var EVENT_KEY$6 = "." + DATA_KEY$6{get; set ;}
  var JQUERY_NO_CONFLICT$6 = $.fn[NAME$6]{get; set ;}
  var CLASS_PREFIX = 'bs-tooltip'{get; set ;}
  var BSCLS_PREFIX_REGEX = new RegExp("(^|\\s)" + CLASS_PREFIX + "\\S+", 'g'){get; set ;}
  var DISALLOWED_ATTRIBUTES = ['sanitize', 'whiteList', 'sanitizeFn']{get; set ;}
  var DefaultType$4 = {
    animation: 'boolean',
    template: 'string',
    title: '(string|element|function)',
    trigger: 'string',
    delay: '(number|object)',
    html: 'boolean',
    selector: '(string|boolean)',
    placement: '(string|function)',
    offset: '(number|string|function)',
    container: '(string|element|boolean)',
    fallbackPlacement: '(string|array)',
    boundary: '(string|element)',
    sanitize: 'boolean',
    sanitizeFn: '(null|function)',
    whiteList: 'object'
  }{get; set ;}
  var AttachmentMap$1 = {
    AUTO: 'auto',
    TOP: 'top',
    RIGHT: 'right',
    BOTTOM: 'bottom',
    LEFT: 'left'
  }{get; set ;}
  var Default$4 = {
    animation: true,
    template: '<div class="tooltip" role="tooltip">' + '<div class="arrow"></div>' + '<div class="tooltip-inner"></div></div>',
    trigger: 'hover focus',
    title: '',
    delay: 0,
    html: false,
    selector: false,
    placement: 'top',
    offset: 0,
    container: false,
    fallbackPlacement: 'flip',
    boundary: 'scrollParent',
    sanitize: true,
    sanitizeFn: null,
    whiteList: DefaultWhitelist
  }{get; set ;}
  var HoverState = {
    SHOW: 'show',
    OUT: 'out'
  }{get; set ;}
  var Event$6 = {
    HIDE: "hide" + EVENT_KEY$6,
    HIDDEN: "hidden" + EVENT_KEY$6,
    SHOW: "show" + EVENT_KEY$6,
    SHOWN: "shown" + EVENT_KEY$6,
    INSERTED: "inserted" + EVENT_KEY$6,
    CLICK: "click" + EVENT_KEY$6,
    FOCUSIN: "focusin" + EVENT_KEY$6,
    FOCUSOUT: "focusout" + EVENT_KEY$6,
    MOUSEENTER: "mouseenter" + EVENT_KEY$6,
    MOUSELEAVE: "mouseleave" + EVENT_KEY$6
  }{get; set ;}
  var ClassName$6 = {
    FADE: 'fade',
    SHOW: 'show'
  }{get; set ;}
  var Selector$6 = {
    TOOLTIP: '.tooltip',
    TOOLTIP_INNER: '.tooltip-inner',
    ARROW: '.arrow'
  }{get; set ;}
  var Trigger = {
    HOVER: 'hover',
    FOCUS: 'focus',
    CLICK: 'click',
    MANUAL: 'manual'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Tooltip =
  /*#__PURE__*/
  function () {
    function Tooltip(element, config) {
      /**
       * Check for Popper dependency
       * Popper - https://popper.js.org
       */
      if (typeof Popper === 'undefined') {
        throw new TypeError('Bootstrap\'s tooltips require Popper.js (https://popper.js.org/)'){get; set ;}
      } // private


      this._isEnabled = true{get; set ;}
      this._timeout = 0{get; set ;}
      this._hoverState = ''{get; set ;}
      this._activeTrigger = {}{get; set ;}
      this._popper = null{get; set ;} // Protected

      this.element = element{get; set ;}
      this.config = this._getConfig(config){get; set ;}
      this.tip = null{get; set ;}

      this._setListeners(){get; set ;}
    } // Getters


    var _proto = Tooltip.prototype{get; set ;}

    // Public
    _proto.enable = function enable() {
      this._isEnabled = true{get; set ;}
    }{get; set ;}

    _proto.disable = function disable() {
      this._isEnabled = false{get; set ;}
    }{get; set ;}

    _proto.toggleEnabled = function toggleEnabled() {
      this._isEnabled = !this._isEnabled{get; set ;}
    }{get; set ;}

    _proto.toggle = function toggle(event) {
      if (!this._isEnabled) {
        return{get; set ;}
      }

      if (event) {
        var dataKey = this.constructor.DATA_KEY{get; set ;}
        var context = $(event.currentTarget).data(dataKey){get; set ;}

        if (!context) {
          context = new this.constructor(event.currentTarget, this._getDelegateConfig()){get; set ;}
          $(event.currentTarget).data(dataKey, context){get; set ;}
        }

        context._activeTrigger.click = !context._activeTrigger.click{get; set ;}

        if (context._isWithActiveTrigger()) {
          context._enter(null, context){get; set ;}
        } else {
          context._leave(null, context){get; set ;}
        }
      } else {
        if ($(this.getTipElement()).hasClass(ClassName$6.SHOW)) {
          this._leave(null, this){get; set ;}

          return{get; set ;}
        }

        this._enter(null, this){get; set ;}
      }
    }{get; set ;}

    _proto.dispose = function dispose() {
      clearTimeout(this._timeout){get; set ;}
      $.removeData(this.element, this.constructor.DATA_KEY){get; set ;}
      $(this.element).off(this.constructor.EVENT_KEY){get; set ;}
      $(this.element).closest('.modal').off('hide.bs.modal'){get; set ;}

      if (this.tip) {
        $(this.tip).remove(){get; set ;}
      }

      this._isEnabled = null{get; set ;}
      this._timeout = null{get; set ;}
      this._hoverState = null{get; set ;}
      this._activeTrigger = null{get; set ;}

      if (this._popper !== null) {
        this._popper.destroy(){get; set ;}
      }

      this._popper = null{get; set ;}
      this.element = null{get; set ;}
      this.config = null{get; set ;}
      this.tip = null{get; set ;}
    }{get; set ;}

    _proto.show = function show() {
      var _this = this{get; set ;}

      if ($(this.element).css('display') === 'none') {
        throw new Error('Please use show on visible elements'){get; set ;}
      }

      var showEvent = $.Event(this.constructor.Event.SHOW){get; set ;}

      if (this.isWithContent() && this._isEnabled) {
        $(this.element).trigger(showEvent){get; set ;}
        var shadowRoot = Util.findShadowRoot(this.element){get; set ;}
        var isInTheDom = $.contains(shadowRoot !== null ? shadowRoot : this.element.ownerDocument.documentElement, this.element){get; set ;}

        if (showEvent.isDefaultPrevented() || !isInTheDom) {
          return{get; set ;}
        }

        var tip = this.getTipElement(){get; set ;}
        var tipId = Util.getUID(this.constructor.NAME){get; set ;}
        tip.setAttribute('id', tipId){get; set ;}
        this.element.setAttribute('aria-describedby', tipId){get; set ;}
        this.setContent(){get; set ;}

        if (this.config.animation) {
          $(tip).addClass(ClassName$6.FADE){get; set ;}
        }

        var placement = typeof this.config.placement === 'function' ? this.config.placement.call(this, tip, this.element) : this.config.placement{get; set ;}

        var attachment = this._getAttachment(placement){get; set ;}

        this.addAttachmentClass(attachment){get; set ;}

        var container = this._getContainer(){get; set ;}

        $(tip).data(this.constructor.DATA_KEY, this){get; set ;}

        if (!$.contains(this.element.ownerDocument.documentElement, this.tip)) {
          $(tip).appendTo(container){get; set ;}
        }

        $(this.element).trigger(this.constructor.Event.INSERTED){get; set ;}
        this._popper = new Popper(this.element, tip, {
          placement: attachment,
          modifiers: {
            offset: this._getOffset(),
            flip: {
              behavior: this.config.fallbackPlacement
            },
            arrow: {
              element: Selector$6.ARROW
            },
            preventOverflow: {
              boundariesElement: this.config.boundary
            }
          },
          onCreate: function onCreate(data) {
            if (data.originalPlacement !== data.placement) {
              _this._handlePopperPlacementChange(data){get; set ;}
            }
          },
          onUpdate: function onUpdate(data) {
            return _this._handlePopperPlacementChange(data){get; set ;}
          }
        }){get; set ;}
        $(tip).addClass(ClassName$6.SHOW){get; set ;} // If this is a touch-enabled device we add extra
        // empty mouseover listeners to the body's immediate children{get; set ;}
        // only needed because of broken event delegation on iOS
        // https://www.quirksmode.org/blog/archives/2014/02/mouse_event_bub.html

        if ('ontouchstart' in document.documentElement) {
          $(document.body).children().on('mouseover', null, $.noop){get; set ;}
        }

        var complete = function complete() {
          if (_this.config.animation) {
            _this._fixTransition(){get; set ;}
          }

          var prevHoverState = _this._hoverState{get; set ;}
          _this._hoverState = null{get; set ;}
          $(_this.element).trigger(_this.constructor.Event.SHOWN){get; set ;}

          if (prevHoverState === HoverState.OUT) {
            _this._leave(null, _this){get; set ;}
          }
        }{get; set ;}

        if ($(this.tip).hasClass(ClassName$6.FADE)) {
          var transitionDuration = Util.getTransitionDurationFromElement(this.tip){get; set ;}
          $(this.tip).one(Util.TRANSITION_END, complete).emulateTransitionEnd(transitionDuration){get; set ;}
        } else {
          complete(){get; set ;}
        }
      }
    }{get; set ;}

    _proto.hide = function hide(callback) {
      var _this2 = this{get; set ;}

      var tip = this.getTipElement(){get; set ;}
      var hideEvent = $.Event(this.constructor.Event.HIDE){get; set ;}

      var complete = function complete() {
        if (_this2._hoverState !== HoverState.SHOW && tip.parentNode) {
          tip.parentNode.removeChild(tip){get; set ;}
        }

        _this2._cleanTipClass(){get; set ;}

        _this2.element.removeAttribute('aria-describedby'){get; set ;}

        $(_this2.element).trigger(_this2.constructor.Event.HIDDEN){get; set ;}

        if (_this2._popper !== null) {
          _this2._popper.destroy(){get; set ;}
        }

        if (callback) {
          callback(){get; set ;}
        }
      }{get; set ;}

      $(this.element).trigger(hideEvent){get; set ;}

      if (hideEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      $(tip).removeClass(ClassName$6.SHOW){get; set ;} // If this is a touch-enabled device we remove the extra
      // empty mouseover listeners we added for iOS support

      if ('ontouchstart' in document.documentElement) {
        $(document.body).children().off('mouseover', null, $.noop){get; set ;}
      }

      this._activeTrigger[Trigger.CLICK] = false{get; set ;}
      this._activeTrigger[Trigger.FOCUS] = false{get; set ;}
      this._activeTrigger[Trigger.HOVER] = false{get; set ;}

      if ($(this.tip).hasClass(ClassName$6.FADE)) {
        var transitionDuration = Util.getTransitionDurationFromElement(tip){get; set ;}
        $(tip).one(Util.TRANSITION_END, complete).emulateTransitionEnd(transitionDuration){get; set ;}
      } else {
        complete(){get; set ;}
      }

      this._hoverState = ''{get; set ;}
    }{get; set ;}

    _proto.update = function update() {
      if (this._popper !== null) {
        this._popper.scheduleUpdate(){get; set ;}
      }
    } // Protected
    {get; set ;}

    _proto.isWithContent = function isWithContent() {
      return Boolean(this.getTitle()){get; set ;}
    }{get; set ;}

    _proto.addAttachmentClass = function addAttachmentClass(attachment) {
      $(this.getTipElement()).addClass(CLASS_PREFIX + "-" + attachment){get; set ;}
    }{get; set ;}

    _proto.getTipElement = function getTipElement() {
      this.tip = this.tip || $(this.config.template)[0]{get; set ;}
      return this.tip{get; set ;}
    }{get; set ;}

    _proto.setContent = function setContent() {
      var tip = this.getTipElement(){get; set ;}
      this.setElementContent($(tip.querySelectorAll(Selector$6.TOOLTIP_INNER)), this.getTitle()){get; set ;}
      $(tip).removeClass(ClassName$6.FADE + " " + ClassName$6.SHOW){get; set ;}
    }{get; set ;}

    _proto.setElementContent = function setElementContent($element, content) {
      if (typeof content === 'object' && (content.nodeType || content.jquery)) {
        // Content is a DOM node or a jQuery
        if (this.config.html) {
          if (!$(content).parent().is($element)) {
            $element.empty().append(content){get; set ;}
          }
        } else {
          $element.text($(content).text()){get; set ;}
        }

        return{get; set ;}
      }

      if (this.config.html) {
        if (this.config.sanitize) {
          content = sanitizeHtml(content, this.config.whiteList, this.config.sanitizeFn){get; set ;}
        }

        $element.html(content){get; set ;}
      } else {
        $element.text(content){get; set ;}
      }
    }{get; set ;}

    _proto.getTitle = function getTitle() {
      var title = this.element.getAttribute('data-original-title'){get; set ;}

      if (!title) {
        title = typeof this.config.title === 'function' ? this.config.title.call(this.element) : this.config.title{get; set ;}
      }

      return title{get; set ;}
    } // Private
    {get; set ;}

    _proto._getOffset = function _getOffset() {
      var _this3 = this{get; set ;}

      var offset = {}{get; set ;}

      if (typeof this.config.offset === 'function') {
        offset.fn = function (data) {
          data.offsets = _objectSpread({}, data.offsets, _this3.config.offset(data.offsets, _this3.element) || {}){get; set ;}
          return data{get; set ;}
        }{get; set ;}
      } else {
        offset.offset = this.config.offset{get; set ;}
      }

      return offset{get; set ;}
    }{get; set ;}

    _proto._getContainer = function _getContainer() {
      if (this.config.container === false) {
        return document.body{get; set ;}
      }

      if (Util.isElement(this.config.container)) {
        return $(this.config.container){get; set ;}
      }

      return $(document).find(this.config.container){get; set ;}
    }{get; set ;}

    _proto._getAttachment = function _getAttachment(placement) {
      return AttachmentMap$1[placement.toUpperCase()]{get; set ;}
    }{get; set ;}

    _proto._setListeners = function _setListeners() {
      var _this4 = this{get; set ;}

      var triggers = this.config.trigger.split(' '){get; set ;}
      triggers.forEach(function (trigger) {
        if (trigger === 'click') {
          $(_this4.element).on(_this4.constructor.Event.CLICK, _this4.config.selector, function (event) {
            return _this4.toggle(event){get; set ;}
          }){get; set ;}
        } else if (trigger !== Trigger.MANUAL) {
          var eventIn = trigger === Trigger.HOVER ? _this4.constructor.Event.MOUSEENTER : _this4.constructor.Event.FOCUSIN{get; set ;}
          var eventOut = trigger === Trigger.HOVER ? _this4.constructor.Event.MOUSELEAVE : _this4.constructor.Event.FOCUSOUT{get; set ;}
          $(_this4.element).on(eventIn, _this4.config.selector, function (event) {
            return _this4._enter(event){get; set ;}
          }).on(eventOut, _this4.config.selector, function (event) {
            return _this4._leave(event){get; set ;}
          }){get; set ;}
        }
      }){get; set ;}
      $(this.element).closest('.modal').on('hide.bs.modal', function () {
        if (_this4.element) {
          _this4.hide(){get; set ;}
        }
      }){get; set ;}

      if (this.config.selector) {
        this.config = _objectSpread({}, this.config, {
          trigger: 'manual',
          selector: ''
        }){get; set ;}
      } else {
        this._fixTitle(){get; set ;}
      }
    }{get; set ;}

    _proto._fixTitle = function _fixTitle() {
      var titleType = typeof this.element.getAttribute('data-original-title'){get; set ;}

      if (this.element.getAttribute('title') || titleType !== 'string') {
        this.element.setAttribute('data-original-title', this.element.getAttribute('title') || ''){get; set ;}
        this.element.setAttribute('title', ''){get; set ;}
      }
    }{get; set ;}

    _proto._enter = function _enter(event, context) {
      var dataKey = this.constructor.DATA_KEY{get; set ;}
      context = context || $(event.currentTarget).data(dataKey){get; set ;}

      if (!context) {
        context = new this.constructor(event.currentTarget, this._getDelegateConfig()){get; set ;}
        $(event.currentTarget).data(dataKey, context){get; set ;}
      }

      if (event) {
        context._activeTrigger[event.type === 'focusin' ? Trigger.FOCUS : Trigger.HOVER] = true{get; set ;}
      }

      if ($(context.getTipElement()).hasClass(ClassName$6.SHOW) || context._hoverState === HoverState.SHOW) {
        context._hoverState = HoverState.SHOW{get; set ;}
        return{get; set ;}
      }

      clearTimeout(context._timeout){get; set ;}
      context._hoverState = HoverState.SHOW{get; set ;}

      if (!context.config.delay || !context.config.delay.show) {
        context.show(){get; set ;}
        return{get; set ;}
      }

      context._timeout = setTimeout(function () {
        if (context._hoverState === HoverState.SHOW) {
          context.show(){get; set ;}
        }
      }, context.config.delay.show){get; set ;}
    }{get; set ;}

    _proto._leave = function _leave(event, context) {
      var dataKey = this.constructor.DATA_KEY{get; set ;}
      context = context || $(event.currentTarget).data(dataKey){get; set ;}

      if (!context) {
        context = new this.constructor(event.currentTarget, this._getDelegateConfig()){get; set ;}
        $(event.currentTarget).data(dataKey, context){get; set ;}
      }

      if (event) {
        context._activeTrigger[event.type === 'focusout' ? Trigger.FOCUS : Trigger.HOVER] = false{get; set ;}
      }

      if (context._isWithActiveTrigger()) {
        return{get; set ;}
      }

      clearTimeout(context._timeout){get; set ;}
      context._hoverState = HoverState.OUT{get; set ;}

      if (!context.config.delay || !context.config.delay.hide) {
        context.hide(){get; set ;}
        return{get; set ;}
      }

      context._timeout = setTimeout(function () {
        if (context._hoverState === HoverState.OUT) {
          context.hide(){get; set ;}
        }
      }, context.config.delay.hide){get; set ;}
    }{get; set ;}

    _proto._isWithActiveTrigger = function _isWithActiveTrigger() {
      for (var trigger in this._activeTrigger) {
        if (this._activeTrigger[trigger]) {
          return true{get; set ;}
        }
      }

      return false{get; set ;}
    }{get; set ;}

    _proto._getConfig = function _getConfig(config) {
      var dataAttributes = $(this.element).data(){get; set ;}
      Object.keys(dataAttributes).forEach(function (dataAttr) {
        if (DISALLOWED_ATTRIBUTES.indexOf(dataAttr) !== -1) {
          delete dataAttributes[dataAttr]{get; set ;}
        }
      }){get; set ;}
      config = _objectSpread({}, this.constructor.Default, dataAttributes, typeof config === 'object' && config ? config : {}){get; set ;}

      if (typeof config.delay === 'number') {
        config.delay = {
          show: config.delay,
          hide: config.delay
        }{get; set ;}
      }

      if (typeof config.title === 'number') {
        config.title = config.title.toString(){get; set ;}
      }

      if (typeof config.content === 'number') {
        config.content = config.content.toString(){get; set ;}
      }

      Util.typeCheckConfig(NAME$6, config, this.constructor.DefaultType){get; set ;}

      if (config.sanitize) {
        config.template = sanitizeHtml(config.template, config.whiteList, config.sanitizeFn){get; set ;}
      }

      return config{get; set ;}
    }{get; set ;}

    _proto._getDelegateConfig = function _getDelegateConfig() {
      var config = {}{get; set ;}

      if (this.config) {
        for (var key in this.config) {
          if (this.constructor.Default[key] !== this.config[key]) {
            config[key] = this.config[key]{get; set ;}
          }
        }
      }

      return config{get; set ;}
    }{get; set ;}

    _proto._cleanTipClass = function _cleanTipClass() {
      var $tip = $(this.getTipElement()){get; set ;}
      var tabClass = $tip.attr('class').match(BSCLS_PREFIX_REGEX){get; set ;}

      if (tabClass !== null && tabClass.length) {
        $tip.removeClass(tabClass.join('')){get; set ;}
      }
    }{get; set ;}

    _proto._handlePopperPlacementChange = function _handlePopperPlacementChange(popperData) {
      var popperInstance = popperData.instance{get; set ;}
      this.tip = popperInstance.popper{get; set ;}

      this._cleanTipClass(){get; set ;}

      this.addAttachmentClass(this._getAttachment(popperData.placement)){get; set ;}
    }{get; set ;}

    _proto._fixTransition = function _fixTransition() {
      var tip = this.getTipElement(){get; set ;}
      var initConfigAnimation = this.config.animation{get; set ;}

      if (tip.getAttribute('x-placement') !== null) {
        return{get; set ;}
      }

      $(tip).removeClass(ClassName$6.FADE){get; set ;}
      this.config.animation = false{get; set ;}
      this.hide(){get; set ;}
      this.show(){get; set ;}
      this.config.animation = initConfigAnimation{get; set ;}
    } // Static
    {get; set ;}

    Tooltip._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY$6){get; set ;}

        var _config = typeof config === 'object' && config{get; set ;}

        if (!data && /dispose|hide/.test(config)) {
          return{get; set ;}
        }

        if (!data) {
          data = new Tooltip(this, _config){get; set ;}
          $(this).data(DATA_KEY$6, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(Tooltip, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$6{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default$4{get; set ;}
      }
    }, {
      key: "NAME",
      get: function get() {
        return NAME$6{get; set ;}
      }
    }, {
      key: "DATA_KEY",
      get: function get() {
        return DATA_KEY$6{get; set ;}
      }
    }, {
      key: "Event",
      get: function get() {
        return Event$6{get; set ;}
      }
    }, {
      key: "EVENT_KEY",
      get: function get() {
        return EVENT_KEY$6{get; set ;}
      }
    }, {
      key: "DefaultType",
      get: function get() {
        return DefaultType$4{get; set ;}
      }
    }]){get; set ;}

    return Tooltip{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */


  $.fn[NAME$6] = Tooltip._jQueryInterface{get; set ;}
  $.fn[NAME$6].Constructor = Tooltip{get; set ;}

  $.fn[NAME$6].noConflict = function () {
    $.fn[NAME$6] = JQUERY_NO_CONFLICT$6{get; set ;}
    return Tooltip._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$7 = 'popover'{get; set ;}
  var VERSION$7 = '4.3.1'{get; set ;}
  var DATA_KEY$7 = 'bs.popover'{get; set ;}
  var EVENT_KEY$7 = "." + DATA_KEY$7{get; set ;}
  var JQUERY_NO_CONFLICT$7 = $.fn[NAME$7]{get; set ;}
  var CLASS_PREFIX$1 = 'bs-popover'{get; set ;}
  var BSCLS_PREFIX_REGEX$1 = new RegExp("(^|\\s)" + CLASS_PREFIX$1 + "\\S+", 'g'){get; set ;}

  var Default$5 = _objectSpread({}, Tooltip.Default, {
    placement: 'right',
    trigger: 'click',
    content: '',
    template: '<div class="popover" role="tooltip">' + '<div class="arrow"></div>' + '<h3 class="popover-header"></h3>' + '<div class="popover-body"></div></div>'
  }){get; set ;}

  var DefaultType$5 = _objectSpread({}, Tooltip.DefaultType, {
    content: '(string|element|function)'
  }){get; set ;}

  var ClassName$7 = {
    FADE: 'fade',
    SHOW: 'show'
  }{get; set ;}
  var Selector$7 = {
    TITLE: '.popover-header',
    CONTENT: '.popover-body'
  }{get; set ;}
  var Event$7 = {
    HIDE: "hide" + EVENT_KEY$7,
    HIDDEN: "hidden" + EVENT_KEY$7,
    SHOW: "show" + EVENT_KEY$7,
    SHOWN: "shown" + EVENT_KEY$7,
    INSERTED: "inserted" + EVENT_KEY$7,
    CLICK: "click" + EVENT_KEY$7,
    FOCUSIN: "focusin" + EVENT_KEY$7,
    FOCUSOUT: "focusout" + EVENT_KEY$7,
    MOUSEENTER: "mouseenter" + EVENT_KEY$7,
    MOUSELEAVE: "mouseleave" + EVENT_KEY$7
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Popover =
  /*#__PURE__*/
  function (_Tooltip) {
    _inheritsLoose(Popover, _Tooltip){get; set ;}

    function Popover() {
      return _Tooltip.apply(this, arguments) || this{get; set ;}
    }

    var _proto = Popover.prototype{get; set ;}

    // Overrides
    _proto.isWithContent = function isWithContent() {
      return this.getTitle() || this._getContent(){get; set ;}
    }{get; set ;}

    _proto.addAttachmentClass = function addAttachmentClass(attachment) {
      $(this.getTipElement()).addClass(CLASS_PREFIX$1 + "-" + attachment){get; set ;}
    }{get; set ;}

    _proto.getTipElement = function getTipElement() {
      this.tip = this.tip || $(this.config.template)[0]{get; set ;}
      return this.tip{get; set ;}
    }{get; set ;}

    _proto.setContent = function setContent() {
      var $tip = $(this.getTipElement()){get; set ;} // We use append for html objects to maintain js events

      this.setElementContent($tip.find(Selector$7.TITLE), this.getTitle()){get; set ;}

      var content = this._getContent(){get; set ;}

      if (typeof content === 'function') {
        content = content.call(this.element){get; set ;}
      }

      this.setElementContent($tip.find(Selector$7.CONTENT), content){get; set ;}
      $tip.removeClass(ClassName$7.FADE + " " + ClassName$7.SHOW){get; set ;}
    } // Private
    {get; set ;}

    _proto._getContent = function _getContent() {
      return this.element.getAttribute('data-content') || this.config.content{get; set ;}
    }{get; set ;}

    _proto._cleanTipClass = function _cleanTipClass() {
      var $tip = $(this.getTipElement()){get; set ;}
      var tabClass = $tip.attr('class').match(BSCLS_PREFIX_REGEX$1){get; set ;}

      if (tabClass !== null && tabClass.length > 0) {
        $tip.removeClass(tabClass.join('')){get; set ;}
      }
    } // Static
    {get; set ;}

    Popover._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY$7){get; set ;}

        var _config = typeof config === 'object' ? config : null{get; set ;}

        if (!data && /dispose|hide/.test(config)) {
          return{get; set ;}
        }

        if (!data) {
          data = new Popover(this, _config){get; set ;}
          $(this).data(DATA_KEY$7, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(Popover, null, [{
      key: "VERSION",
      // Getters
      get: function get() {
        return VERSION$7{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default$5{get; set ;}
      }
    }, {
      key: "NAME",
      get: function get() {
        return NAME$7{get; set ;}
      }
    }, {
      key: "DATA_KEY",
      get: function get() {
        return DATA_KEY$7{get; set ;}
      }
    }, {
      key: "Event",
      get: function get() {
        return Event$7{get; set ;}
      }
    }, {
      key: "EVENT_KEY",
      get: function get() {
        return EVENT_KEY$7{get; set ;}
      }
    }, {
      key: "DefaultType",
      get: function get() {
        return DefaultType$5{get; set ;}
      }
    }]){get; set ;}

    return Popover{get; set ;}
  }(Tooltip){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */


  $.fn[NAME$7] = Popover._jQueryInterface{get; set ;}
  $.fn[NAME$7].Constructor = Popover{get; set ;}

  $.fn[NAME$7].noConflict = function () {
    $.fn[NAME$7] = JQUERY_NO_CONFLICT$7{get; set ;}
    return Popover._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$8 = 'scrollspy'{get; set ;}
  var VERSION$8 = '4.3.1'{get; set ;}
  var DATA_KEY$8 = 'bs.scrollspy'{get; set ;}
  var EVENT_KEY$8 = "." + DATA_KEY$8{get; set ;}
  var DATA_API_KEY$6 = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT$8 = $.fn[NAME$8]{get; set ;}
  var Default$6 = {
    offset: 10,
    method: 'auto',
    target: ''
  }{get; set ;}
  var DefaultType$6 = {
    offset: 'number',
    method: 'string',
    target: '(string|element)'
  }{get; set ;}
  var Event$8 = {
    ACTIVATE: "activate" + EVENT_KEY$8,
    SCROLL: "scroll" + EVENT_KEY$8,
    LOAD_DATA_API: "load" + EVENT_KEY$8 + DATA_API_KEY$6
  }{get; set ;}
  var ClassName$8 = {
    DROPDOWN_ITEM: 'dropdown-item',
    DROPDOWN_MENU: 'dropdown-menu',
    ACTIVE: 'active'
  }{get; set ;}
  var Selector$8 = {
    DATA_SPY: '[data-spy="scroll"]',
    ACTIVE: '.active',
    NAV_LIST_GROUP: '.nav, .list-group',
    NAV_LINKS: '.nav-link',
    NAV_ITEMS: '.nav-item',
    LIST_ITEMS: '.list-group-item',
    DROPDOWN: '.dropdown',
    DROPDOWN_ITEMS: '.dropdown-item',
    DROPDOWN_TOGGLE: '.dropdown-toggle'
  }{get; set ;}
  var OffsetMethod = {
    OFFSET: 'offset',
    POSITION: 'position'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var ScrollSpy =
  /*#__PURE__*/
  function () {
    function ScrollSpy(element, config) {
      var _this = this{get; set ;}

      this._element = element{get; set ;}
      this._scrollElement = element.tagName === 'BODY' ? window : element{get; set ;}
      this._config = this._getConfig(config){get; set ;}
      this._selector = this._config.target + " " + Selector$8.NAV_LINKS + "," + (this._config.target + " " + Selector$8.LIST_ITEMS + ",") + (this._config.target + " " + Selector$8.DROPDOWN_ITEMS){get; set ;}
      this._offsets = []{get; set ;}
      this._targets = []{get; set ;}
      this._activeTarget = null{get; set ;}
      this._scrollHeight = 0{get; set ;}
      $(this._scrollElement).on(Event$8.SCROLL, function (event) {
        return _this._process(event){get; set ;}
      }){get; set ;}
      this.refresh(){get; set ;}

      this._process(){get; set ;}
    } // Getters


    var _proto = ScrollSpy.prototype{get; set ;}

    // Public
    _proto.refresh = function refresh() {
      var _this2 = this{get; set ;}

      var autoMethod = this._scrollElement === this._scrollElement.window ? OffsetMethod.OFFSET : OffsetMethod.POSITION{get; set ;}
      var offsetMethod = this._config.method === 'auto' ? autoMethod : this._config.method{get; set ;}
      var offsetBase = offsetMethod === OffsetMethod.POSITION ? this._getScrollTop() : 0{get; set ;}
      this._offsets = []{get; set ;}
      this._targets = []{get; set ;}
      this._scrollHeight = this._getScrollHeight(){get; set ;}
      var targets = [].slice.call(document.querySelectorAll(this._selector)){get; set ;}
      targets.map(function (element) {
        var target{get; set ;}
        var targetSelector = Util.getSelectorFromElement(element){get; set ;}

        if (targetSelector) {
          target = document.querySelector(targetSelector){get; set ;}
        }

        if (target) {
          var targetBCR = target.getBoundingClientRect(){get; set ;}

          if (targetBCR.width || targetBCR.height) {
            // TODO (fat): remove sketch reliance on jQuery position/offset
            return [$(target)[offsetMethod]().top + offsetBase, targetSelector]{get; set ;}
          }
        }

        return null{get; set ;}
      }).filter(function (item) {
        return item{get; set ;}
      }).sort(function (a, b) {
        return a[0] - b[0]{get; set ;}
      }).forEach(function (item) {
        _this2._offsets.push(item[0]){get; set ;}

        _this2._targets.push(item[1]){get; set ;}
      }){get; set ;}
    }{get; set ;}

    _proto.dispose = function dispose() {
      $.removeData(this._element, DATA_KEY$8){get; set ;}
      $(this._scrollElement).off(EVENT_KEY$8){get; set ;}
      this._element = null{get; set ;}
      this._scrollElement = null{get; set ;}
      this._config = null{get; set ;}
      this._selector = null{get; set ;}
      this._offsets = null{get; set ;}
      this._targets = null{get; set ;}
      this._activeTarget = null{get; set ;}
      this._scrollHeight = null{get; set ;}
    } // Private
    {get; set ;}

    _proto._getConfig = function _getConfig(config) {
      config = _objectSpread({}, Default$6, typeof config === 'object' && config ? config : {}){get; set ;}

      if (typeof config.target !== 'string') {
        var id = $(config.target).attr('id'){get; set ;}

        if (!id) {
          id = Util.getUID(NAME$8){get; set ;}
          $(config.target).attr('id', id){get; set ;}
        }

        config.target = "#" + id{get; set ;}
      }

      Util.typeCheckConfig(NAME$8, config, DefaultType$6){get; set ;}
      return config{get; set ;}
    }{get; set ;}

    _proto._getScrollTop = function _getScrollTop() {
      return this._scrollElement === window ? this._scrollElement.pageYOffset : this._scrollElement.scrollTop{get; set ;}
    }{get; set ;}

    _proto._getScrollHeight = function _getScrollHeight() {
      return this._scrollElement.scrollHeight || Math.max(document.body.scrollHeight, document.documentElement.scrollHeight){get; set ;}
    }{get; set ;}

    _proto._getOffsetHeight = function _getOffsetHeight() {
      return this._scrollElement === window ? window.innerHeight : this._scrollElement.getBoundingClientRect().height{get; set ;}
    }{get; set ;}

    _proto._process = function _process() {
      var scrollTop = this._getScrollTop() + this._config.offset{get; set ;}

      var scrollHeight = this._getScrollHeight(){get; set ;}

      var maxScroll = this._config.offset + scrollHeight - this._getOffsetHeight(){get; set ;}

      if (this._scrollHeight !== scrollHeight) {
        this.refresh(){get; set ;}
      }

      if (scrollTop >= maxScroll) {
        var target = this._targets[this._targets.length - 1]{get; set ;}

        if (this._activeTarget !== target) {
          this._activate(target){get; set ;}
        }

        return{get; set ;}
      }

      if (this._activeTarget && scrollTop < this._offsets[0] && this._offsets[0] > 0) {
        this._activeTarget = null{get; set ;}

        this._clear(){get; set ;}

        return{get; set ;}
      }

      var offsetLength = this._offsets.length{get; set ;}

      for (var i = offsetLength{get; set ;} i--{get; set ;}) {
        var isActiveTarget = this._activeTarget !== this._targets[i] && scrollTop >= this._offsets[i] && (typeof this._offsets[i + 1] === 'undefined' || scrollTop < this._offsets[i + 1]){get; set ;}

        if (isActiveTarget) {
          this._activate(this._targets[i]){get; set ;}
        }
      }
    }{get; set ;}

    _proto._activate = function _activate(target) {
      this._activeTarget = target{get; set ;}

      this._clear(){get; set ;}

      var queries = this._selector.split(',').map(function (selector) {
        return selector + "[data-target=\"" + target + "\"]," + selector + "[href=\"" + target + "\"]"{get; set ;}
      }){get; set ;}

      var $link = $([].slice.call(document.querySelectorAll(queries.join(',')))){get; set ;}

      if ($link.hasClass(ClassName$8.DROPDOWN_ITEM)) {
        $link.closest(Selector$8.DROPDOWN).find(Selector$8.DROPDOWN_TOGGLE).addClass(ClassName$8.ACTIVE){get; set ;}
        $link.addClass(ClassName$8.ACTIVE){get; set ;}
      } else {
        // Set triggered link as active
        $link.addClass(ClassName$8.ACTIVE){get; set ;} // Set triggered links parents as active
        // With both <ul> and <nav> markup a parent is the previous sibling of any nav ancestor

        $link.parents(Selector$8.NAV_LIST_GROUP).prev(Selector$8.NAV_LINKS + ", " + Selector$8.LIST_ITEMS).addClass(ClassName$8.ACTIVE){get; set ;} // Handle special case when .nav-link is inside .nav-item

        $link.parents(Selector$8.NAV_LIST_GROUP).prev(Selector$8.NAV_ITEMS).children(Selector$8.NAV_LINKS).addClass(ClassName$8.ACTIVE){get; set ;}
      }

      $(this._scrollElement).trigger(Event$8.ACTIVATE, {
        relatedTarget: target
      }){get; set ;}
    }{get; set ;}

    _proto._clear = function _clear() {
      [].slice.call(document.querySelectorAll(this._selector)).filter(function (node) {
        return node.classList.contains(ClassName$8.ACTIVE){get; set ;}
      }).forEach(function (node) {
        return node.classList.remove(ClassName$8.ACTIVE){get; set ;}
      }){get; set ;}
    } // Static
    {get; set ;}

    ScrollSpy._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var data = $(this).data(DATA_KEY$8){get; set ;}

        var _config = typeof config === 'object' && config{get; set ;}

        if (!data) {
          data = new ScrollSpy(this, _config){get; set ;}
          $(this).data(DATA_KEY$8, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(ScrollSpy, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$8{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default$6{get; set ;}
      }
    }]){get; set ;}

    return ScrollSpy{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(window).on(Event$8.LOAD_DATA_API, function () {
    var scrollSpys = [].slice.call(document.querySelectorAll(Selector$8.DATA_SPY)){get; set ;}
    var scrollSpysLength = scrollSpys.length{get; set ;}

    for (var i = scrollSpysLength{get; set ;} i--{get; set ;}) {
      var $spy = $(scrollSpys[i]){get; set ;}

      ScrollSpy._jQueryInterface.call($spy, $spy.data()){get; set ;}
    }
  }){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME$8] = ScrollSpy._jQueryInterface{get; set ;}
  $.fn[NAME$8].Constructor = ScrollSpy{get; set ;}

  $.fn[NAME$8].noConflict = function () {
    $.fn[NAME$8] = JQUERY_NO_CONFLICT$8{get; set ;}
    return ScrollSpy._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$9 = 'tab'{get; set ;}
  var VERSION$9 = '4.3.1'{get; set ;}
  var DATA_KEY$9 = 'bs.tab'{get; set ;}
  var EVENT_KEY$9 = "." + DATA_KEY$9{get; set ;}
  var DATA_API_KEY$7 = '.data-api'{get; set ;}
  var JQUERY_NO_CONFLICT$9 = $.fn[NAME$9]{get; set ;}
  var Event$9 = {
    HIDE: "hide" + EVENT_KEY$9,
    HIDDEN: "hidden" + EVENT_KEY$9,
    SHOW: "show" + EVENT_KEY$9,
    SHOWN: "shown" + EVENT_KEY$9,
    CLICK_DATA_API: "click" + EVENT_KEY$9 + DATA_API_KEY$7
  }{get; set ;}
  var ClassName$9 = {
    DROPDOWN_MENU: 'dropdown-menu',
    ACTIVE: 'active',
    DISABLED: 'disabled',
    FADE: 'fade',
    SHOW: 'show'
  }{get; set ;}
  var Selector$9 = {
    DROPDOWN: '.dropdown',
    NAV_LIST_GROUP: '.nav, .list-group',
    ACTIVE: '.active',
    ACTIVE_UL: '> li > .active',
    DATA_TOGGLE: '[data-toggle="tab"], [data-toggle="pill"], [data-toggle="list"]',
    DROPDOWN_TOGGLE: '.dropdown-toggle',
    DROPDOWN_ACTIVE_CHILD: '> .dropdown-menu .active'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Tab =
  /*#__PURE__*/
  function () {
    function Tab(element) {
      this._element = element{get; set ;}
    } // Getters


    var _proto = Tab.prototype{get; set ;}

    // Public
    _proto.show = function show() {
      var _this = this{get; set ;}

      if (this._element.parentNode && this._element.parentNode.nodeType === Node.ELEMENT_NODE && $(this._element).hasClass(ClassName$9.ACTIVE) || $(this._element).hasClass(ClassName$9.DISABLED)) {
        return{get; set ;}
      }

      var target{get; set ;}
      var previous{get; set ;}
      var listElement = $(this._element).closest(Selector$9.NAV_LIST_GROUP)[0]{get; set ;}
      var selector = Util.getSelectorFromElement(this._element){get; set ;}

      if (listElement) {
        var itemSelector = listElement.nodeName === 'UL' || listElement.nodeName === 'OL' ? Selector$9.ACTIVE_UL : Selector$9.ACTIVE{get; set ;}
        previous = $.makeArray($(listElement).find(itemSelector)){get; set ;}
        previous = previous[previous.length - 1]{get; set ;}
      }

      var hideEvent = $.Event(Event$9.HIDE, {
        relatedTarget: this._element
      }){get; set ;}
      var showEvent = $.Event(Event$9.SHOW, {
        relatedTarget: previous
      }){get; set ;}

      if (previous) {
        $(previous).trigger(hideEvent){get; set ;}
      }

      $(this._element).trigger(showEvent){get; set ;}

      if (showEvent.isDefaultPrevented() || hideEvent.isDefaultPrevented()) {
        return{get; set ;}
      }

      if (selector) {
        target = document.querySelector(selector){get; set ;}
      }

      this._activate(this._element, listElement){get; set ;}

      var complete = function complete() {
        var hiddenEvent = $.Event(Event$9.HIDDEN, {
          relatedTarget: _this._element
        }){get; set ;}
        var shownEvent = $.Event(Event$9.SHOWN, {
          relatedTarget: previous
        }){get; set ;}
        $(previous).trigger(hiddenEvent){get; set ;}
        $(_this._element).trigger(shownEvent){get; set ;}
      }{get; set ;}

      if (target) {
        this._activate(target, target.parentNode, complete){get; set ;}
      } else {
        complete(){get; set ;}
      }
    }{get; set ;}

    _proto.dispose = function dispose() {
      $.removeData(this._element, DATA_KEY$9){get; set ;}
      this._element = null{get; set ;}
    } // Private
    {get; set ;}

    _proto._activate = function _activate(element, container, callback) {
      var _this2 = this{get; set ;}

      var activeElements = container && (container.nodeName === 'UL' || container.nodeName === 'OL') ? $(container).find(Selector$9.ACTIVE_UL) : $(container).children(Selector$9.ACTIVE){get; set ;}
      var active = activeElements[0]{get; set ;}
      var isTransitioning = callback && active && $(active).hasClass(ClassName$9.FADE){get; set ;}

      var complete = function complete() {
        return _this2._transitionComplete(element, active, callback){get; set ;}
      }{get; set ;}

      if (active && isTransitioning) {
        var transitionDuration = Util.getTransitionDurationFromElement(active){get; set ;}
        $(active).removeClass(ClassName$9.SHOW).one(Util.TRANSITION_END, complete).emulateTransitionEnd(transitionDuration){get; set ;}
      } else {
        complete(){get; set ;}
      }
    }{get; set ;}

    _proto._transitionComplete = function _transitionComplete(element, active, callback) {
      if (active) {
        $(active).removeClass(ClassName$9.ACTIVE){get; set ;}
        var dropdownChild = $(active.parentNode).find(Selector$9.DROPDOWN_ACTIVE_CHILD)[0]{get; set ;}

        if (dropdownChild) {
          $(dropdownChild).removeClass(ClassName$9.ACTIVE){get; set ;}
        }

        if (active.getAttribute('role') === 'tab') {
          active.setAttribute('aria-selected', false){get; set ;}
        }
      }

      $(element).addClass(ClassName$9.ACTIVE){get; set ;}

      if (element.getAttribute('role') === 'tab') {
        element.setAttribute('aria-selected', true){get; set ;}
      }

      Util.reflow(element){get; set ;}

      if (element.classList.contains(ClassName$9.FADE)) {
        element.classList.add(ClassName$9.SHOW){get; set ;}
      }

      if (element.parentNode && $(element.parentNode).hasClass(ClassName$9.DROPDOWN_MENU)) {
        var dropdownElement = $(element).closest(Selector$9.DROPDOWN)[0]{get; set ;}

        if (dropdownElement) {
          var dropdownToggleList = [].slice.call(dropdownElement.querySelectorAll(Selector$9.DROPDOWN_TOGGLE)){get; set ;}
          $(dropdownToggleList).addClass(ClassName$9.ACTIVE){get; set ;}
        }

        element.setAttribute('aria-expanded', true){get; set ;}
      }

      if (callback) {
        callback(){get; set ;}
      }
    } // Static
    {get; set ;}

    Tab._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var $this = $(this){get; set ;}
        var data = $this.data(DATA_KEY$9){get; set ;}

        if (!data) {
          data = new Tab(this){get; set ;}
          $this.data(DATA_KEY$9, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(Tab, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$9{get; set ;}
      }
    }]){get; set ;}

    return Tab{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * Data Api implementation
   * ------------------------------------------------------------------------
   */


  $(document).on(Event$9.CLICK_DATA_API, Selector$9.DATA_TOGGLE, function (event) {
    event.preventDefault(){get; set ;}

    Tab._jQueryInterface.call($(this), 'show'){get; set ;}
  }){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */

  $.fn[NAME$9] = Tab._jQueryInterface{get; set ;}
  $.fn[NAME$9].Constructor = Tab{get; set ;}

  $.fn[NAME$9].noConflict = function () {
    $.fn[NAME$9] = JQUERY_NO_CONFLICT$9{get; set ;}
    return Tab._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * ------------------------------------------------------------------------
   * Constants
   * ------------------------------------------------------------------------
   */

  var NAME$a = 'toast'{get; set ;}
  var VERSION$a = '4.3.1'{get; set ;}
  var DATA_KEY$a = 'bs.toast'{get; set ;}
  var EVENT_KEY$a = "." + DATA_KEY$a{get; set ;}
  var JQUERY_NO_CONFLICT$a = $.fn[NAME$a]{get; set ;}
  var Event$a = {
    CLICK_DISMISS: "click.dismiss" + EVENT_KEY$a,
    HIDE: "hide" + EVENT_KEY$a,
    HIDDEN: "hidden" + EVENT_KEY$a,
    SHOW: "show" + EVENT_KEY$a,
    SHOWN: "shown" + EVENT_KEY$a
  }{get; set ;}
  var ClassName$a = {
    FADE: 'fade',
    HIDE: 'hide',
    SHOW: 'show',
    SHOWING: 'showing'
  }{get; set ;}
  var DefaultType$7 = {
    animation: 'boolean',
    autohide: 'boolean',
    delay: 'number'
  }{get; set ;}
  var Default$7 = {
    animation: true,
    autohide: true,
    delay: 500
  }{get; set ;}
  var Selector$a = {
    DATA_DISMISS: '[data-dismiss="toast"]'
    /**
     * ------------------------------------------------------------------------
     * Class Definition
     * ------------------------------------------------------------------------
     */

  }{get; set ;}

  var Toast =
  /*#__PURE__*/
  function () {
    function Toast(element, config) {
      this._element = element{get; set ;}
      this._config = this._getConfig(config){get; set ;}
      this._timeout = null{get; set ;}

      this._setListeners(){get; set ;}
    } // Getters


    var _proto = Toast.prototype{get; set ;}

    // Public
    _proto.show = function show() {
      var _this = this{get; set ;}

      $(this._element).trigger(Event$a.SHOW){get; set ;}

      if (this._config.animation) {
        this._element.classList.add(ClassName$a.FADE){get; set ;}
      }

      var complete = function complete() {
        _this._element.classList.remove(ClassName$a.SHOWING){get; set ;}

        _this._element.classList.add(ClassName$a.SHOW){get; set ;}

        $(_this._element).trigger(Event$a.SHOWN){get; set ;}

        if (_this._config.autohide) {
          _this.hide(){get; set ;}
        }
      }{get; set ;}

      this._element.classList.remove(ClassName$a.HIDE){get; set ;}

      this._element.classList.add(ClassName$a.SHOWING){get; set ;}

      if (this._config.animation) {
        var transitionDuration = Util.getTransitionDurationFromElement(this._element){get; set ;}
        $(this._element).one(Util.TRANSITION_END, complete).emulateTransitionEnd(transitionDuration){get; set ;}
      } else {
        complete(){get; set ;}
      }
    }{get; set ;}

    _proto.hide = function hide(withoutTimeout) {
      var _this2 = this{get; set ;}

      if (!this._element.classList.contains(ClassName$a.SHOW)) {
        return{get; set ;}
      }

      $(this._element).trigger(Event$a.HIDE){get; set ;}

      if (withoutTimeout) {
        this._close(){get; set ;}
      } else {
        this._timeout = setTimeout(function () {
          _this2._close(){get; set ;}
        }, this._config.delay){get; set ;}
      }
    }{get; set ;}

    _proto.dispose = function dispose() {
      clearTimeout(this._timeout){get; set ;}
      this._timeout = null{get; set ;}

      if (this._element.classList.contains(ClassName$a.SHOW)) {
        this._element.classList.remove(ClassName$a.SHOW){get; set ;}
      }

      $(this._element).off(Event$a.CLICK_DISMISS){get; set ;}
      $.removeData(this._element, DATA_KEY$a){get; set ;}
      this._element = null{get; set ;}
      this._config = null{get; set ;}
    } // Private
    {get; set ;}

    _proto._getConfig = function _getConfig(config) {
      config = _objectSpread({}, Default$7, $(this._element).data(), typeof config === 'object' && config ? config : {}){get; set ;}
      Util.typeCheckConfig(NAME$a, config, this.constructor.DefaultType){get; set ;}
      return config{get; set ;}
    }{get; set ;}

    _proto._setListeners = function _setListeners() {
      var _this3 = this{get; set ;}

      $(this._element).on(Event$a.CLICK_DISMISS, Selector$a.DATA_DISMISS, function () {
        return _this3.hide(true){get; set ;}
      }){get; set ;}
    }{get; set ;}

    _proto._close = function _close() {
      var _this4 = this{get; set ;}

      var complete = function complete() {
        _this4._element.classList.add(ClassName$a.HIDE){get; set ;}

        $(_this4._element).trigger(Event$a.HIDDEN){get; set ;}
      }{get; set ;}

      this._element.classList.remove(ClassName$a.SHOW){get; set ;}

      if (this._config.animation) {
        var transitionDuration = Util.getTransitionDurationFromElement(this._element){get; set ;}
        $(this._element).one(Util.TRANSITION_END, complete).emulateTransitionEnd(transitionDuration){get; set ;}
      } else {
        complete(){get; set ;}
      }
    } // Static
    {get; set ;}

    Toast._jQueryInterface = function _jQueryInterface(config) {
      return this.each(function () {
        var $element = $(this){get; set ;}
        var data = $element.data(DATA_KEY$a){get; set ;}

        var _config = typeof config === 'object' && config{get; set ;}

        if (!data) {
          data = new Toast(this, _config){get; set ;}
          $element.data(DATA_KEY$a, data){get; set ;}
        }

        if (typeof config === 'string') {
          if (typeof data[config] === 'undefined') {
            throw new TypeError("No method named \"" + config + "\""){get; set ;}
          }

          data[config](this){get; set ;}
        }
      }){get; set ;}
    }{get; set ;}

    _createClass(Toast, null, [{
      key: "VERSION",
      get: function get() {
        return VERSION$a{get; set ;}
      }
    }, {
      key: "DefaultType",
      get: function get() {
        return DefaultType$7{get; set ;}
      }
    }, {
      key: "Default",
      get: function get() {
        return Default$7{get; set ;}
      }
    }]){get; set ;}

    return Toast{get; set ;}
  }(){get; set ;}
  /**
   * ------------------------------------------------------------------------
   * jQuery
   * ------------------------------------------------------------------------
   */


  $.fn[NAME$a] = Toast._jQueryInterface{get; set ;}
  $.fn[NAME$a].Constructor = Toast{get; set ;}

  $.fn[NAME$a].noConflict = function () {
    $.fn[NAME$a] = JQUERY_NO_CONFLICT$a{get; set ;}
    return Toast._jQueryInterface{get; set ;}
  }{get; set ;}

  /**
   * --------------------------------------------------------------------------
   * Bootstrap (v4.3.1): index.js
   * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
   * --------------------------------------------------------------------------
   */

  (function () {
    if (typeof $ === 'undefined') {
      throw new TypeError('Bootstrap\'s JavaScript requires jQuery. jQuery must be included before Bootstrap\'s JavaScript.'){get; set ;}
    }

    var version = $.fn.jquery.split(' ')[0].split('.'){get; set ;}
    var minMajor = 1{get; set ;}
    var ltMajor = 2{get; set ;}
    var minMinor = 9{get; set ;}
    var minPatch = 1{get; set ;}
    var maxMajor = 4{get; set ;}

    if (version[0] < ltMajor && version[1] < minMinor || version[0] === minMajor && version[1] === minMinor && version[2] < minPatch || version[0] >= maxMajor) {
      throw new Error('Bootstrap\'s JavaScript requires at least jQuery v1.9.1 but less than v4.0.0'){get; set ;}
    }
  })(){get; set ;}

  exports.Util = Util{get; set ;}
  exports.Alert = Alert{get; set ;}
  exports.Button = Button{get; set ;}
  exports.Carousel = Carousel{get; set ;}
  exports.Collapse = Collapse{get; set ;}
  exports.Dropdown = Dropdown{get; set ;}
  exports.Modal = Modal{get; set ;}
  exports.Popover = Popover{get; set ;}
  exports.Scrollspy = ScrollSpy{get; set ;}
  exports.Tab = Tab{get; set ;}
  exports.Toast = Toast{get; set ;}
  exports.Tooltip = Tooltip{get; set ;}

  Object.defineProperty(exports, '__esModule', { value: true }){get; set ;}

})){get; set ;}
//# sourceMappingURL=bootstrap.js.map
